#structure
DROP DATABASE IF EXISTS sitebuilder;
CREATE DATABASE sitebuilder;

use sitebuilder;

DROP TABLE IF EXISTS sb_logged_users;
CREATE TABLE sb_logged_users (uid int(4) NOT NULL default '',  SID varchar(100) NOT NULL default '', expiretime varchar(50) NOT NULL default '') TYPE=MyISAM;

DROP TABLE IF EXISTS sb_ftphosts;
CREATE TABLE sb_ftphosts ( id int(4) NOT NULL auto_increment, ftp_host varchar(128) NOT NULL, ftp_host_ip varchar(128) default '', ftp_host_type int(4) NOT NULL default '1', PRIMARY KEY (id), INDEX(ftp_host) ) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_profiles;
CREATE TABLE sb_profiles ( id int(4) NOT NULL auto_increment, uid int(4) NOT NULL default '0', fname text NOT NULL, lname text NOT NULL,  address1 varchar(120) default NULL,  address2 varchar(120) NOT NULL default '',  phone varchar(20) default NULL,  email varchar(120) NOT NULL default '',  lang varchar(6) NOT NULL default 'en_US',  city varchar(40) NOT NULL default '',  state varchar(40) NOT NULL default '',  zip varchar(15) NOT NULL default '',  country int(3) NOT NULL default '0',  dquote int(7) NOT NULL default '100000',  ftp_host_id int(10) unsigned default NULL,  ftp_work_dir varchar(128) default '',  PRIMARY KEY  (id)) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_users;
CREATE TABLE sb_users ( id int(4) NOT NULL auto_increment, login varchar(15) NOT NULL default '', pswd varchar(128) NOT NULL default '', role int(2) NOT NULL default '0', createtime varchar(20), sb_type int(4) NOT NULL default '1', PRIMARY KEY  (id), KEY login (login)) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_events;
CREATE TABLE sb_events (id int(9) NOT NULL auto_increment, uid int(4) NOT NULL default '0', module varchar(20) NOT NULL default '', time varchar(20) NOT NULL default '', type int(4) NOT NULL default '0', eventtext varchar(255) NOT NULL default '',  UNIQUE KEY id (id) ) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_events_history;
CREATE TABLE sb_events_history (id int(9) NOT NULL default '0', uid int(4) NOT NULL default '0', module varchar(20) NOT NULL default '', time varchar(20) NOT NULL default '', type int(4) NOT NULL default '0', eventtext varchar(255) NOT NULL default '', UNIQUE KEY id (id)) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_msgs;
CREATE TABLE sb_msgs (id int(9) NOT NULL auto_increment, uid_from int(4) NOT NULL default '0',  uid_to int(4) NOT NULL default '0',  type tinyint(2) NOT NULL default '0',  message varchar(255) NOT NULL default '',  confirm tinyint(1) NOT NULL default '0',  createtime varchar(20) NOT NULL default '',  UNIQUE KEY id (id)) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_msgs_history;
CREATE TABLE sb_msgs_history (id int(9) NOT NULL,  uid_from int(4) NOT NULL default '0',  uid_to int(4) NOT NULL default '0',  type tinyint(2) NOT NULL default '0',  message varchar(255) NOT NULL default '',  confirm tinyint(1) NOT NULL default '0',  createtime varchar(20) NOT NULL default '',  UNIQUE KEY id (id)) TYPE=MyISAM;

DROP TABLE IF EXISTS sb_guestproj;
CREATE TABLE sb_guestproj ( dirname varchar(100) NOT NULL default '', expire varchar(50) NOT NULL default '', site_identety varchar(15) NOT NULL default '') TYPE=MyISAM;

CREATE TABLE sb_settings (  prop_name varchar(50) NOT NULL default '',  prop_value text NOT NULL,  UNIQUE KEY prop_name (prop_name)) TYPE=MyISAM;

CREATE TABLE db_version ( value varchar(10) NOT NULL default '1' ) TYPE=MyISAM;

CREATE TABLE sb_userdirs ( uid INT(4) NOT NULL , dirname VARCHAR( 255 ) NOT NULL );

#dump
INSERT INTO sb_users VALUES (1, 'root', PASSWORD('sitebuilder'), 1, 0, 1);
INSERT INTO sb_profiles VALUES(1, 1, 'Administrator', 'Admin', NULL, '', NULL, 'admin@sitebuilder.com', 'en_US', '', '', '', 0, 100000, NULL, '' );
INSERT INTO db_version VALUES ('1');

#system
use mysql;
DELETE FROM user where host='localhost' and user='sb_user';
INSERT INTO user (Host, User, Password, Select_priv, Insert_priv, Update_priv, Delete_priv, Create_priv, Drop_priv, Reload_priv, Shutdown_priv, Process_priv, File_priv, Grant_priv, References_priv, Index_priv, Alter_priv) VALUES ('localhost', 'sb_user', '1ee459fd7f78e4f8', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'Y');
DELETE FROM tables_priv where host='localhost' and user='sb_user';
INSERT INTO tables_priv (Host, Db, User, Table_name, Grantor, Timestamp, Table_priv, Column_priv) VALUES ('localhost', 'sitebuilder', 'sb_user', '%', '', 20041028102843, 'Select,Insert,Update,Delete,Alter', 'Select,Insert,Update');
DELETE FROM db where host='localhost' and db='sitebuilder' and user='sb_user';
INSERT INTO db (Host, Db, User, Select_priv, Insert_priv, Update_priv, Delete_priv, Create_priv, Drop_priv, Grant_priv, References_priv, Index_priv, Alter_priv) VALUES ('localhost', 'sitebuilder', 'sb_user', 'Y', 'Y', 'Y', 'Y', 'N', 'N', 'N', 'N', 'N', 'Y');
#FLUSH PRIVELEGES;