<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <!--
        MSIE | MOZILLA | OPERA
-->
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:param name="systemLOGO" select="''"/>
<xsl:param name="heightLOGO" select="''"/>
<xsl:param name="widthLOGO" select="''"/>
<xsl:param name="sid" select="'xxxxxx'"/>

<xsl:include href="common.xsl"/>
<xsl:include href="pagesets.xsl"/>
<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>
<!--
///
-->
<xsl:template match="/">
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<html>
<head>
<title>SiteBuilder Admin</title>
<link rel="stylesheet" type="text/css" href="{$baseURL}/skins/{$sb_skin}/style.css"/>
<script type='text/javascript'        language='javascript' src='{$baseURL}/js/wizard.js'></script>
<script type="text/javascript"        language="javascript">
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="//LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_APPLY_CHANGES_YOURSELF = '<xsl:value-of select="//LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __sid = '<xsl:value-of select="$sid"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
var __sb_skin = '<xsl:value-of select="$sb_skin"/>';
//</xsl:comment>
</script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
</head>
<body onLoad="dc(0);">
<div id="DIV_DESKTOP" class="background-image : url({$baseURL}/skins/{$sb_skin}/images/empty.gif);">&#160;</div>
<div id="loader">
<table summary="Loader Layout"        border="0" cellpadding="0" cellspacing="0" width="100%"  height="100%">
<tr>
        <td valign="middle" align="center">
        <table cellpadding="0" cellspacing="0" border="0" width="100%"  height="100%">
        <tr>
                <td valign="middle"  align="center" width="26"><img src="{$baseURL}/skins/{$sb_skin}/images/clocks.gif" align="center"        border="0" hspace="0" vspace="0" height="26" width="26"        alt="clocks"/></td>
                <td valign="middle"><xsl:value-of        select="//@ON_LOAD_MESSAGE" disable-output-escaping="yes"/></td>
        </tr>
        </table>
        </td>
</tr>
</table>
</div>
<script type="text/javascript" language="JavaScript">dc(1);</script>
<xsl:call-template name="ROOT-LAYOUT"/>
</body>
</html>
</xsl:template>
<!--
////
-->
<xsl:template name="PAGE-CONTENT">
<xsl:variable name="pageID"        select="//CONTENT-AREA/@PAGEID"/>
<xsl:choose>
<xsl:when test="$pageID='system'">
                <table id="pageContent" height="100%"        border="0" cellpadding="3" cellspacing="0" width="100%">
                <tr>
                        <td valign="top"  width="1%"  class="SB_Style_pcBG">
                        <xsl:apply-templates select="//CONTENT-AREA/MENU" mode="common"/>
                        <br/>
                        <br/>
                        <br/>
                        </td>
                        <td style="SB_Style_MainContentArea" width="99%" valign="top" align="center">
                                <table width="100%" cellpadding="10px" cellspacing="0" border="0">
                                <tr>
                                <td><xsl:apply-templates select="//CONTENT-AREA/*[name(.)!='MENU']"/></td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>
</xsl:when>
<xsl:when test="$pageID='components'">
                <table id="pageContent" height="100%"        border="0" cellpadding="3" cellspacing="0" width="100%">
                <tr>
                        <td valign="top"  width="1%"  class="SB_Style_pcBG">
                        <xsl:apply-templates select="//CONTENT-AREA/MENU" mode="common"/>
                        <br/>
                        <br/>
                        <br/>
                        </td>
                        <td style="SB_Style_MainContentArea" width="99%" valign="top" align="center">
                                <table width="100%" cellpadding="10px" cellspacing="0" border="0">
                                <tr>
                                <td><xsl:apply-templates select="//CONTENT-AREA/*[name(.)!='MENU']"/></td>
                                </tr>
                                </table>
                        </td>
                </tr>
                </table>
</xsl:when>
<xsl:otherwise>
        <table border="0" cellpadding="10px" cellspacing="0" width="100%" style="SB_Style_MainContentArea">
            <xsl:if test="/*/PATH">
                    <tr>
                        <td class="content-menu" align="left" valign="top">&#160;&#160;<xsl:apply-templates select="/*/PATH"/></td>
                    </tr>
            </xsl:if>
            <tr>
                <td align="center" valign="top"><xsl:apply-templates select="/*/CONTENT-AREA"/></td>
            </tr>
        </table>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<!--
/////
-->
<xsl:template match="PATH">
<!-- no op -->
</xsl:template>
<!--
/////
-->
<xsl:template match="NOTIFY-TOPIC">
        <xsl:call-template name="TOPIC-TITLE">
            <xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
        </xsl:call-template>
                <xsl:for-each select="MESSAGE">
        <p class ="content"><xsl:value-of select="."/></p>
                </xsl:for-each>
</xsl:template>
<!--
/////
-->
<xsl:template match="SYSINFO-TOPIC">
        <img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="20" border="0"/>
        <xsl:call-template name="TOPIC-TITLE">
            <xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
        </xsl:call-template>
        <table border="0" cellpadding="4" cellspacing="0" width="100%">
        <xsl:for-each select="ITEM">
            <tr>
                <td class="topic-item">&#160;&#160;-&#160;<xsl:value-of select="."/></td>
            </tr>
        </xsl:for-each>
        </table>
</xsl:template>
<!--
/////
-->
<xsl:template match="BROWSE-FILE-USER">
        <form ENCTYPE="multipart/form-data" name="sb_browse_file_form" method="post" action="{$baseURL}{$baseURL_SUFFIX}{@ACTION}">
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td><table cellspacing="0" cellpadding="0"  width="">
                <tr>
                        <td valign="middle" class="SB_Style_formfield"><input type="file"  size="65" id="sb_path_update_file" name="sb_path_update_file">
                                <xsl:attribute name="value"><xsl:value-of select="BUTTON[@NAME='sb_load_file']/@VALUE"/></xsl:attribute>
                        </input></td>
                        <td valign="middle" align="left" style="padding-left:10px;">
                                <xsl:apply-templates select="BUTTON"/>
                        </td>
                </tr>
                </table></td>
        </tr>
        <tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10'/></td></tr>
        </table>
        <input type="hidden" id="sb_no_save" name="sb_no_save" value="1"/>
</form>
</xsl:template>
<!--
/////
-->
<xsl:template match="ADD-TEMPLATE-USER">
                <form name="sb_add_file_form" method="post">
                <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <!--<fieldset style="float: center; margin-left: 5px;width:500px"><legend></legend>-->
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">
                                                <tr>
                                                <td class="SB_Style_formfieldcolorfirst">
                                                <table cellspacing="0" cellpadding="5px" border="0" width="100%">
                                                        <tr>
                                                        <td align="center" style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="TITLE"/></b>
                                                        </td>
                                                                </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor">
                                                <table cellspacing="0" cellpadding="10px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
                                                        </td>
                                                        <td width="80%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor">
                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">
                                                        <tr>
                                                        <td  valign="middle" align="middle" class="SB_Style_formtitle"><b><xsl:value-of select="COLOR"/></b>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <xsl:for-each select="COLSH">
                                                <tr>
                                                <td >
                                                <xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">
                                                        <tr>
                                                        <td style="padding-left:10px;" width="20%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/>:
                                                        </td>
                                                        <td style="padding-left:5px;" width="80%" class="SB_Style_formtitle"><xsl:value-of select="@CAPTION"/>
                                                        </td>
                                                </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                </xsl:for-each>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                                <td valign="bottom" align="right" style="padding-top:10px; padding-bottom:10px;">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB2"/>');</script>
                                </td>
                        </tr>
                </table>
                </td>
                </tr>
                </table>
                <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
                <input type="hidden" name="sb_temlates_id"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
                </form>
</xsl:template>
<!--
/////
-->
<xsl:template match="UPDATE-TEMPLATE-USER|UPDATE-SKIN-USER">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">

                                                <tr>

                                                <td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td width="16%" class="SB_Style_formtitle">&#160;
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/>
                                                        </td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldcolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/>
                                                        </td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/>
                                                        </td>
                                                </tr>
                                                </table>
                                                </td>
                                                </tr>
                                                <tr class="SB_Style_EEEEEE">
                                                <td class="SB_Style_formfieldcolor" style="padding:2px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td  style="padding-left:12px;" valign="middle" class="SB_Style_formtitle"><b><xsl:value-of select="COLOR"/>:</b>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <td>
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                        <tr>
                                                        <td width="58%">

                                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">

                                                                        <xsl:for-each select="COLSH">
                                                                                <tr>
                                                                                <td >
                                                                                <xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
                                                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                                <tr>
                                                                                <td width="28%" class="SB_Style_formtitle">&#160;
                                                                                </td>
                                                                                <td width="36%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/>
                                                                                </td>
                                                                                <td width="36%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)
                                                                                </td>
                                                                                </tr>
                                                                                </table>
                                                                                </td>
                                                                                </tr>
                                                                        </xsl:for-each>
                                                                </table>
                                                        </td>
                                                        <td width="42%">
                                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">

                                                                        <xsl:for-each select="COLSHNEW">
                                                                                <tr>
                                                                                <td>
                                                                                <xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
                                                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                                <tr>
                                                                                <td width="50%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/>
                                                                                </td>
                                                                                <td width="50%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)
                                                                                </td>
                                                                                </tr>
                                                                                </table>
                                                                                </td>
                                                                                </tr>
                                                                        </xsl:for-each>
                                                                </table>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                        <td>
                        <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr height="40px">
                        <td width="25%" valign="middle" class="SB_Style_formtitle">
                        <input type="radio"  name="sb_id_select" id="sb_update" checked="checked" onclick="javascript:var el,el1,el4;el4=document.getElementById('sb_name1'); el=document.getElementById('sb_name');el1=document.getElementById('sb_id_chenged');el.style.display='none';el1.value='false';el.value=el4.value;"><xsl:value-of select="UPN"/></input>
                        </td>

                        <td width="25%" valign="middle" class="SB_Style_formtitle">
                        <input type="radio"  name="sb_id_select" id="sb_new" onclick="javascript:var el, el1; el=document.getElementById('sb_name');el1=document.getElementById('sb_id_chenged');el.style.display='';el1.value='true';"><xsl:value-of select="NEWN"/></input>
                        </td>
                        <td width="25%" valign="middle"  class="SB_Style_formfield">
                        <input type="text" style='display:none;' name="sb_temlates_id" id="sb_name"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
                        </td>
                        <td width="25%"  valign="middle" align="right">
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUTB1"/>');</script>
                        </td>
                        </tr>
                        </table>
                        </td>
                        </tr>
        </table>
        </td>
        </tr>
        </table>
        <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
        <xsl:for-each select="COLSHS">
                <input type="hidden" name="sb_all"><xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute></input>
        </xsl:for-each>
        <input type="hidden" name="sb_id_chenged" id="sb_id_chenged" value="false"/>
        <input type="hidden"  name="sb_temlates_id1" id="sb_name1"><xsl:attribute name="value"><xsl:value-of select="IDVAL"/></xsl:attribute></input>
        </form>
</xsl:template>
<!--
////
-->
<!--
/////
-->
<xsl:template match="UPDATE-LANG">
<form ENCTYPE="multipart/form-data" name="{@NAME}" method="post">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
                <td>
                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr>
                                <td valign="middle">
                                        <table cellspacing="0" cellpadding="0px" border="0" width="100%">
                                        <tr>
                                                <td class="SB_Style_formfieldcolorfirst" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td width="16%" class="SB_Style_formtitle">&#160;</td>
                                                        <td  width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="CURRENT"/></b></td>
                                                        <td width="42%" class="SB_Style_formtitle"><b><xsl:value-of select="NEW"/></b></td>
                                                </tr>
                                                </table>
                                                </td>
                                        </tr>

                                        <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td  style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="ID"/>:</b></td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVAL"/></td>
                                                        <td  width="42%" class="SB_Style_formtitle"><xsl:value-of select="IDVALNEW"/></td>
                                                </tr>
                                                </table>
                                                </td>
                                        </tr>

                                        <tr>
                                                <td class="SB_Style_formfieldcolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="VERSION"/>:</b></td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVAL"/></td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="VERSIONVALNEW"/></td>
                                                </tr>
                                                </table>
                                                </td>
                                        </tr>

                                        <tr>
                                                <td class="SB_Style_formfieldnocolor" style="padding:9px;">
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                <tr>
                                                        <td style="padding-left:5px;" width="16%" class="SB_Style_formtitle"><b><xsl:value-of select="CAPTION"/>:</b></td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVAL"/></td>
                                                        <td width="42%" class="SB_Style_formtitle"><xsl:value-of select="CAPTIONVALNEW"/></td>
                                                </tr>
                                                </table>
                                                </td>
                                        </tr>

                                        <tr>
                                                <td>
                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                        <tr>
                                                        <td width="58%">
                                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">
                                                                        <xsl:for-each select="COLSH">
                                                                        <tr>
                                                                                <td >
                                                                                <xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
                                                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                                <tr>
                                                                                        <td width="28%" class="SB_Style_formtitle">&#160;</td>
                                                                                        <td width="36%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/></td>
                                                                                        <td width="36%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)</td>
                                                                                </tr>
                                                                                </table>
                                                                                </td>
                                                                        </tr>
                                                                        </xsl:for-each>
                                                                </table>
                                                        </td>
                                                        <td width="42%">
                                                                <table cellspacing="0" cellpadding="2px" border="0" width="100%">
                                                                        <xsl:for-each select="COLSHNEW">
                                                                        <tr>
                                                                                <td>
                                                                                <xsl:attribute name="class"><xsl:value-of select="@STYLE"/></xsl:attribute>
                                                                                <table cellspacing="0" cellpadding="0" border="0" width="100%">
                                                                                <tr>
                                                                                <td width="50%" class="SB_Style_formtitle"><xsl:value-of select="@ID"/></td>
                                                                                <td width="50%" class="SB_Style_formtitle">(<xsl:value-of select="@CAPTION"/>)</td>
                                                                                </tr>
                                                                                </table>
                                                                                </td>
                                                                        </tr>
                                                                        </xsl:for-each>
                                                                </table>
                                                        </td>
                                                        </tr>
                                                        </table>
                                                        </td>
                                                </tr>
                                        </table>
                                </td>
                        </tr>
                        <tr>
                        <td>
                        <table cellspacing="0" cellpadding="0" border="0" width="100%">
                        <tr height="40px">
                                <td width="100%"  valign="middle" align="right"><xsl:apply-templates select="BUTTON"/></td>
                        </tr>
                        </table>
                        </td>
                        </tr>
        </table>
        </td>
        </tr>
        </table>
        <input type="hidden" name="sb_path_update_file1"><xsl:attribute name="value"><xsl:value-of select="PATH"/></xsl:attribute></input>
        <xsl:for-each select="COLSHS">
                <input type="hidden" name="sb_all"><xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute></input>
        </xsl:for-each>
        <input type="hidden" name="sb_id_chenged" id="sb_id_chenged" value="false"/>
        <input type="hidden"  name="sb_temlates_id" id="sb_temlates_id" value="{IDVAL}"/>
        </form>
</xsl:template>
<!--
////
-->
<xsl:template match="CONFIRM-DELETE-USER">
                <form name="cc_delete_user" method="post">
                <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <xsl:apply-templates select="FIELD"/>
                <table width="80%" cellspacing="0" cellpadding="0" border="0">
                        <tr>
                                <td colspan="2" align="middle" class="SB_Style_predefpages1">
                                        <xsl:value-of select="TITLE"/><br/><br/>
                                </td>
                        </tr>
                        <tr>
                                <td colspan="2" align="left" class="SB_Style_predefpages1">
                                <ul>
                                        <xsl:for-each select="USER-TO-DEL">
                                        <li>
                                                        <xsl:value-of select="@NAME"/>
                                        </li>
                                                        <xsl:apply-templates select="FIELD"/>
                                        </xsl:for-each>
                                </ul>
                                </td>
                        </tr>
                        <tr align="middle">
                                <td>
                                        <script type="text/javascript" language="javascript">document.write('<xsl:value-of select="BUT4"/>');</script>
                                        <input type="hidden" name="cc_confirm_delete" value=""/>
                                </td>
                        </tr>
                </table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="EVENTS">
                <form name="sb_cc_events" method="post">
                <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <xsl:apply-templates select="FIELD"/>
                <table width="80%" cellspacing="0" cellpadding="0" border="0">
                        <tr class="SB_Style_CCCCCC">
                                <td align="middle"><xsl:value-of select="LEGEND/@ID"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@USERID"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@MODULE"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@TIME"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@EVENTTEXT"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@MARKREAD"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@DELETE"/></td>
                        </tr>
                        <xsl:for-each select="EVENT">
                        <tr>
                                <td align="middle"><xsl:value-of select="@ID"/></td>
                                <td align="middle"><xsl:value-of select="@USERID"/></td>
                                <td align="middle"><xsl:value-of select="@MODULE"/></td>
                                <td align="middle"><xsl:value-of select="@TIME"/></td>
                                <td align="middle"><xsl:value-of select="@EVENTTEXT"/></td>
                                <td align="middle"><xsl:apply-templates select="READFLAG" /></td>
                                <td align="middle"><xsl:apply-templates select="DELFLAG" /></td>
                        </tr>
                        </xsl:for-each>
                        <tr>
                                <td colspan="8" align="right">
                                        <a href="javascript:void();"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
                                        <input type="hidden" name="sb_cc_read_msgs" value=""/>
                                </td>
                        </tr>
                </table>
                </form>
</xsl:template>
<!--
////
-->
<xsl:template match="MSG-PAGE">
                <xsl:apply-templates select="NEW-MESSAGE"/>
                <xsl:apply-templates select="EVENTS"/>
                <xsl:apply-templates select="MESSAGE-LIST"/>
</xsl:template>
<!--
////
-->
<xsl:template match="NEW-MESSAGE">
                <form name="sb_cc_msgs" method="post">
                        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
                <table width="100%" cellspacing="0" cellpadding="0">
                        <xsl:apply-templates select="FIELD"/>
                        <tr>
                                <td colspan="4" align="center">
                                        <a href="javascript:void();"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
                                        <input type="hidden" name="sb_cc_read_msgs" value=""/>
                                </td>
                        </tr>
                        <xsl:apply-templates select="WARNING"/>
                </table>
                </form>
</xsl:template>
<!--
////
-->
<xsl:template match="NEW-MESSAGE/WARNING">
<tr>
        <td width="100%" align="center" colspan="4"><font size="2" class="SB_Style_searchr_warning"><b><xsl:value-of select="."/></b></font></td>
</tr>
</xsl:template>
<!--
////
-->
<xsl:template match="MESSAGE-LIST">
<form name="sb_cc_msgs" method="post">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <xsl:apply-templates select="FIELD"/>
                <table width="100%" cellspacing="0" cellpadding="0" border="0">
                        <tr class="SB_Style_CCCCCC">
                                <td align="middle"><xsl:value-of select="LEGEND/@ID"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@FROM"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@MESSAGE"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@CONFIRM"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@MARKREAD"/></td>
                                <td align="middle"><xsl:value-of select="LEGEND/@DELETE"/></td>
                        </tr>
                        <xsl:for-each select="MESSAGE">
                        <tr>
                                <td align="middle"><xsl:value-of select="@ID"/></td>
                                <td align="middle"><xsl:value-of select="@NAME"/></td>
                                <td align="middle"><xsl:value-of select="@MESSAGE"/></td>
                                <td align="middle"><xsl:value-of select="@CONFIRM"/></td>
                                <td align="middle"><xsl:apply-templates select="READFLAG" /></td>
                                <td align="middle"><xsl:apply-templates select="DELFLAG" /></td>
                        </tr>
                        </xsl:for-each>
                        <tr>
                                <td colspan="8" align="right">
                                        <a href="javascript:void();"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/skins/{$sb_skin}/images/b_goempty.gif" alt="" border="0" align="middle"/></a>
                                </td>
                        </tr>
        </table>
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="READFLAG|DELFLAG">
        <xsl:call-template name="CHECKBOX"/>
</xsl:template>
<!--
////
-->
<xsl:template match="TEST">
        <pre><xsl:copy-of select="."/></pre>
</xsl:template>
<!--
///////
-->
<xsl:template match="LOCALE" mode="settings-form">
<xsl:value-of select="@NAME"/>="<xsl:value-of select='@VALUE'/>";
</xsl:template>
<!--
////
-->
<xsl:template match="SETTINGS-FORM">
<form name="cc_settings" action="{$baseURL}{$baseURL_SUFFIX}/cc.php?mode=system" method="POST">
        <input type="hidden" id="sb_pageid" name="sb_pageid" value="settings"/>
<xsl:if test="LOCALE">
<script type="text/javascript" language="javascript">
<xsl:comment><xsl:text>
</xsl:text><xsl:apply-templates select="LOCALE" mode="settings-form"/><xsl:text>
</xsl:text>//</xsl:comment><xsl:text>
</xsl:text></script>
</xsl:if>
        <table class="SB_Style_DIALOG_FORM" width='100%' cellspacing='0' cellpadding='0' border='0'>
                <xsl:apply-templates select="SET-PUB-MAIL-FROM" />
                <xsl:apply-templates select="SET-PUB-MAIL-SUBJ"/>
                <xsl:apply-templates select="SET-PUB-MAIL-BODY"/>
                <xsl:apply-templates select="SET-PUB-HELPMESSAGE"/>
                <xsl:apply-templates select="SET-PUB-GUESTPROJ"/>
        </table>
        <table width="100%" border="0" cellspacing="1" cellpadding="1">
        <tr><td colspan="2"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
        <tr>
                <td width="100%" class="SB_Style_formtitle"><xsl:if test="REQ"><span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="REQ"/></xsl:if>&#160;</td>
                <xsl:apply-templates select="BUTTON" mode="form"/>
        </tr>
        </table>
        <input type="hidden" name="sb_changes" value="" />
        <input type="hidden" name="sb_after_submit_url" value="" />
        <input type="hidden" name="cc_set_button" value="" />
        <input type="hidden" name="mode" value="settings" />
</form>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-GUESTPROJ">
<tr>
        <td>
        <table width="100%"        border="0" cellpadding="0" cellspacing="0">
                        <tr>
                                <td>&#160;</td>
                                <td        class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>
                                <td        width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='10' height='5'/></td><td valign='top' background="{$baseURL}/skins/{$sb_skin}/images/blue.gif" rowspan='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='5' height='5'/></td>
                                <td        rowspan='2' width="44%"        valign="top" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
                        </tr>
                        <tr        valign='top'>
                                <td        width="1%" >&#160;</td>
                                <td width="50%"        valign="top"><input
                                        onkeyup="this.form.sb_changes.value=1"
                                        type="text" maxlength="3" id="sb_publish_guestproj" name="sb_publish_guestproj" class="SB_Style_gen_title_admin">
<!--                                        <xsl:attribute name="OnBlur">javascript:var testval = parseInt(this.value); if(testval &lt;= 0 || isNaN(testval)) {alert('<xsl:value-of select="../LEGEND/INVALIDDATA"/>'); this.focus();} else {this.value = parseInt(this.value)}</xsl:attribute> -->
                                <xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
                                </input><script type='text/javascript'        language='javascript'>
<xsl:comment>
function validate()
{
                                        var testval = parseInt(document.forms[0].sb_publish_guestproj.value);
                                        var t1=0;
                                try{
                                var t2=parseFloat(document.forms[0].sb_publish_guestproj.value);
                                var t3=parseInt(document.forms[0].sb_publish_guestproj.value);
                                t1=t2/t3;
                                if(isNaN(t1)) t1=0;
                                }catch(e){
                                }
                if( testval &lt;= 0  || isNaN(testval) || t1!=1)
                {
                        alert('<xsl:value-of select="../LEGEND/INVALIDDATA"/>');
                        document.forms[0].sb_publish_guestproj.focus();
                        return false;
                                        }
                else
                {
                        document.forms[0].sb_publish_guestproj.value = parseInt(document.forms[0].sb_publish_guestproj.value);
                        document.forms[0].cc_set_button.value=1;
                        return true;
                }
}
//</xsl:comment>
</script></td>
                                <td        width="20">&#160;</td>
                        </tr>
                </table>
        </td>
</tr>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-MAIL-FROM">
<tr>
        <td>
        <table width="100%"        border="0" cellpadding="0" cellspacing="0">
                        <tr>
                                <td>&#160;</td>
                                <td        class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>
                                <td        width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='10' height='5'/></td><td valign='top' background="{$baseURL}/skins/{$sb_skin}/images/blue.gif" rowspan='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='5' height='5'/></td>
                                <td        rowspan='2' width="44%"        valign="top" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
                        </tr>
                        <tr        valign='top'>
                                <td        width="1%" >&#160;</td>
                                <td width="50%"        valign="top"><input
                                        onkeyup="this.form.sb_changes.value=1"
                                        type="text" maxlength="75" id="sb_mailfrom" name="sb_mailfrom" class="SB_Style_gen_title_admin" >
                                <xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
                                </input></td>
                                <td        width="20">&#160;</td>
                        </tr>
                </table>
        </td>
</tr>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-MAIL-SUBJ">
<tr>
        <td>
        <table width="100%"        border="0" cellpadding="0" cellspacing="0">
                        <tr>
                                <td>&#160;</td>
                                <td        class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>
                                <td        width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='10' height='5'/></td><td valign='top' background="{$baseURL}/skins/{$sb_skin}/images/blue.gif" rowspan='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='5' height='5'/></td>
                                <td        width="44%"        rowspan="2" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
                        </tr>
                        <tr        valign='top'>
                                <td        width="1%" >&#160;</td>
                                <td        width="50%"        valign="top"><input
                                        onkeyup="this.form.sb_changes.value=1"
                                        type="text"        maxlength="75" name="sb_mailsubj" class="SB_Style_gen_title_admin">
                                <xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
                                </input></td>
                        </tr>
                </table>
        </td>
</tr>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-MAIL-BODY">
<tr>
        <td>
        <table width="100%"        border="0" cellpadding="0" cellspacing="0">
                <tr>
                        <td>&#160;</td>
                        <td        class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>
                        <td        width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='10' height='5'/></td><td valign='top' background="{$baseURL}/skins/{$sb_skin}/images/blue.gif" rowspan='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='5' height='5'/></td>
                        <td width="44%" rowspan="2" valign="middle" class="SB_Style_genpages"><xsl:value-of        select="HELP-CONTENT"/></td>
                </tr>
                <tr>
                        <td width="1%">&#160;</td>
                        <td width="50%" valign="top"><textarea
                                onkeyup="this.form.sb_changes.value=1"
                                cols="50" rows="5" name="sb_mailbody" class="SB_Style_gen_keywords_admin"        ><xsl:value-of        select="CONTENT"/></textarea></td>
                </tr>
        </table>
        </td>
</tr>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
</xsl:template>
<!--
////
-->
<xsl:template match="SET-PUB-HELPMESSAGE">
<tr>
        <td>
        <table width="100%"        border="0" cellpadding="0" cellspacing="0">
                <tr>
                        <td>&#160;</td>
                        <td        class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>
                        <td        width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='10' height='5'/></td><td valign='top' background="{$baseURL}/skins/{$sb_skin}/images/blue.gif" rowspan='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='5' height='5'/></td>
                        <td width="44%" rowspan="2" valign="middle" class="SB_Style_genpages"><xsl:value-of        select="HELP-CONTENT"/></td>
                </tr>
                <tr>
                        <td width="1%">&#160;</td>
                        <td width="50%" valign="top"><textarea
                                onkeyup="this.form.sb_changes.value=1"
                                cols="50" rows="5" name="sb_publish_assist" class="SB_Style_gen_keywords_admin"        ><xsl:value-of        select="CONTENT"/></textarea></td>
                </tr>
        </table>
        </td>
</tr>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10px'/></td></tr>
</xsl:template>
<!--
////
-->
<xsl:template match="LICENSE-PAGE|USER-PAGE|FTPHOST-PAGE|PAGE-SETS|SKINS-PAGE|LANGS-PAGE">
        <xsl:apply-templates/>
</xsl:template>

<!--
///////
-->
<xsl:template match="LOGO-BROWSE-FORM">
<form name="{@NAME}"  method="post" enctype="multipart/form-data">
        <xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
        <xsl:apply-templates select="HIDDEN"/>
        <xsl:if test="WARNING">
                                <table  align="center" class="SB_Style_WARNING_BOX" cellpadding="0" cellspacing="0" width="100%" >
                                        <tr>
                                        <td width="25%">&#160;</td>
                                        <td width="45%" align="center">
                                        <table align="center" border="0" cellpadding="7" cellspacing="0" width="100%">
                                        <tr>
                                                <td align="left" width="1%"><img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/></td>
                                                <td align="left" width="99%"><xsl:apply-templates select="WARNING" mode="form"/></td>
                                        </tr>
                                        </table>
                                        </td>
                                        <td width="30%">&#160;</td>
                                </tr>
                                </table>
        </xsl:if>
<table class="SB_DIALOG_FORM" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td>
<table cellpadding="5" cellspacing="1" border="0" width="100%">
<tr>
        <td valign="top" align='left'>
                <span class='SB_Style_design_text'>&#160;<xsl:value-of select="@UPLOADED"/>:&#160;</span><br/>
                <table width='200' cellspacing='10' cellpadding='0' border='0'>
                        <tr>
                                <td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/cb.gif);" class="logotype_layer">
                                        <img border='0' width="200" src="{@IMG}" title="" class='SB_Style_design_logo' ></img>
                                </td>
                        </tr>
                </table>
                <br></br>&#160;&#160;&#160;<font color="brown"><xsl:value-of select="@HINT"/></font>
        </td>
</tr>
<tr>
        <td valign="top" align='left'>
                <table cellpadding="0" cellspacing="3" border="0" width="300">
                <tr>
                                <td width="60%" class='SB_Style_design_text' nowrap='true' valign="top">&#160;<xsl:value-of select="@LOGO"/>:&#160;</td>
                                <td width="40%" class='SB_Style_formfield' valign="top"><input type="file" name="userFile"  id="userFile" size="25" class='SB_Style_formfield'/>&#160;</td>
                                <td align="right" colspan='2' valign="top">&#160;</td>
                </tr>
                </table>
        </td>
</tr>
</table>
</td>
</tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
                <td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10'/></td>
        </tr>
        <tr>
                                <td>
                                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                        <tr>
                                                <td width="1%" class="SB_Style_formtitle" nowrap="nowrap">
                                                <xsl:choose>
                                                        <xsl:when test="REQ"><span class="SB_Style_AlertText">*&#160;</span><xsl:value-of select="REQ"/></xsl:when>
                                                        <xsl:otherwise><span class="SB_Style_AlertText">&#160;</span></xsl:otherwise>
                                                </xsl:choose>
                                                &#160;</td>
                                                <td width="{99 - count(BUTTON)}%" class="SB_Style_formtitle">&#160;</td>
                                                <xsl:apply-templates select="BUTTON" mode="form-align-right"/>
                                        </tr>
                                        </table>
                                </td>
        </tr>
        </table>
</form>
</xsl:template>

</xsl:stylesheet>