<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
MSIE | MOZILLA | OPERA
-->
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:param name="trastedSite" select="''"/>
<xsl:param name="systemLOGO" select="''"/>
<xsl:param name="heightLOGO" select="''"/>
<xsl:param name="widthLOGO" select="''"/>
<xsl:param name="sid" select="'xxxxxx'"/>

<xsl:output method="html" indent="yes" encoding="utf-8"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:include href="common.xsl"/>
<xsl:include href="templates.xsl"/>
<xsl:strip-space elements="*"/>
<!--

-->
<xsl:template match="/">
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<html>
<head>
<title>SiteBuilder</title>
<script type="text/javascript" language="javascript">
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="/*/LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_APPLY_CHANGES_YOURSELF = '<xsl:value-of select="/*/LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __sid = '<xsl:value-of select="$sid"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
var __trastedSite = '<xsl:value-of select="$trastedSite"/>';
var __sb_skin = '<xsl:value-of select="$sb_skin"/>';
//</xsl:comment>
</script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
<link rel="stylesheet" type="text/css" href="{$baseURL}/skins/{$sb_skin}/style.css"/>
<script type='text/javascript' language='javascript' src="{$baseURL}/js/wizard.js"></script>
<script type='text/javascript' language='javascript'>
<xsl:comment>
var __base__URL = '<xsl:value-of select="$baseURL"/>';
//</xsl:comment>
</script>

<script type="text/javascript" language="javascript">
<xsl:comment>
setBaseUrl('<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>');
//</xsl:comment>
</script>
</head>

<body id="wizbody" onLoad="dc(0);">
<div id="DIV_DESKTOP" style="background-image : url({$baseURL}/skins/{$sb_skin}/images/empty.gif);">&#160;</div>
<div id="loader">
<table summary="Loader Layout" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
<tr>
<td valign="middle" align="center">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
<tr>
<td valign="middle" align="center" width="26"><img src="{$baseURL}/skins/{$sb_skin}/images/clocks.gif" align="center" border="0" hspace="0" vspace="0" height="26" width="26" alt="clocks"/></td>
<td valign="middle"><xsl:value-of select="//@ON_LOAD_MESSAGE" disable-output-escaping="yes"/></td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="JavaScript">dc(1);</script>
<xsl:call-template name="ROOT_LAYOUT"/>
</body>
</html>
</xsl:template>

<xsl:template name="ROOT_LAYOUT">
<script type="text/javascript"        language="javascript">
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="/*/LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_APPLY_CHANGES_YOURSELF =        '<xsl:value-of select="/*/LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
//</xsl:comment>
</script>
<script type="text/javascript" language="javascript" src='{$baseURL}/wysiwyg/dialog.js'></script>
<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
<table border="0" class="SB_Style_screen_border" cellpadding="0" cellspacing="0" width="100%" >
        <xsl:choose>
        <xsl:when test="$browser='OPERA'">
                <xsl:attribute name="height">515px</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
                <xsl:attribute name="height">100%</xsl:attribute>
        </xsl:otherwise>
        </xsl:choose>
        <tr><td        valign="top">
                <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                        <tr>
                                <td        align="center"        valign="top"  width="100%" height="100%" class="colored"><xsl:call-template        name="PAGE-CONTENT"/></td>
                        </tr>
                </table>
        </td></tr>
</table>
<xsl:apply-templates select="/*/DEBUG"/>
</xsl:template>

<xsl:template name="PAGE-CONTENT">
<script type='text/javascript' language='javascript' src='{$baseURL}/js/edit.js'></script>
<script type='text/javascript' language='javascript' src='{$baseURL}/js/photo.js'></script>
<form name='photoeditor' method='post' ENCTYPE='multipart/form-data'>
<xsl:attribute name='action'><xsl:value-of select="$baseURL"/>/wizard/steps/photogallery.php</xsl:attribute>
<input type="hidden" name="show_preview" value=""/>
<input type="hidden" name="pgpage" id="pgpage" value=""/>
<input type="hidden" name="sb_applay_ph" id="sb_applay_ph" value="false"/>
<input type="hidden" name="sb_sesf" id="sb_sesf">
<xsl:attribute name='value'><xsl:value-of select='//SES'/></xsl:attribute>
</input>
<input type="hidden" name="lang" id="lang">
<xsl:attribute name='value'><xsl:value-of select="//LANG"/></xsl:attribute>
</input>
<input type="hidden" name="skin" id="skin">
<xsl:attribute name='value'><xsl:value-of select="//SKIN"/></xsl:attribute>
</input>
<input type="hidden" name="sb_temp_frame" id="sb_temp_frame">
<xsl:attribute name='value'><xsl:value-of select='//TYPE'/></xsl:attribute>
</input>
<input type="hidden" name="sb_urf" id="sb_urf">
<xsl:attribute name='value'><xsl:value-of select='//UR'/></xsl:attribute>
</input>
<input type="hidden" name="pgpage_edit_mode" id="pgpage_edit_mode" value="true"></input>
<!--<xsl:attribute name='value'><xsl:value-of select='//EDITM'/></xsl:attribute>-->
<input type="hidden" name="pgpageid" id="pgpageid">
<xsl:attribute name='value'><xsl:value-of select='//PGPAGEID'/></xsl:attribute>
</input>
<input type="hidden" name="pgpageid_s" id="pgpageid_s">
<xsl:attribute name='value'><xsl:value-of select='//PGPAGEID'/></xsl:attribute>
</input>
<input type="hidden" name="sb_pageid" id="sb_pageid" value="edit"/>
<input type="hidden" name="topic" id="topic" value="photo"/>
<input type="hidden" name="topic_s" id="topic_s" value="photo"/>
<input type="hidden" name="mode" id="mode" value="edit"/>
<xsl:for-each select="/*/CONTENT-AREA/REPCSS">
<style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
</xsl:for-each>
<table id="pageContent" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
<tr>
<td valign='top'>
<xsl:apply-templates select="//PHOTOEDITOR" />
<script type="text/javascript" language="javascript">
<xsl:comment>
var mas=new Array;
var mascss=new Array;
var i=0;
var j=0;
<xsl:for-each select="/*/CONTENT-AREA/REP">
mas[<xsl:value-of select="@ID"/>] = '<xsl:value-of select="@NAME"/>';
i=<xsl:value-of select="@ID"/>;
</xsl:for-each>
//</xsl:comment>
</script>
</td>
</tr>
</table>
</form>
</xsl:template>

<xsl:template match="PREVIEW-AREA">
<iframe frameborder="1" id="contentFrame"
scrolling="auto" height="100%" width="100%"
marginheight="5" marginwidth="5" src="{@SRC}"/>
</xsl:template>

<xsl:template match="PHOTOEDITOR">
<table cellspacing='0' cellpadding='4' height="100%" width="100%" border='0'>
<tr>
        <td style="vertical-allign: top">
                <table cellspacing='0' cellpadding='0' border='0'>
                        <tr>
                                <td><img src="{$baseURL}/skins/{$sb_skin}/images/arrow_right_1.gif"/>
                                </td>
                                <td style="padding-left: 5px;"><b><font style="color: red; font-family: Verdana; font-size: 12px;"><xsl:value-of select="TITLEP"/></font></b>
                                </td>
                        </tr>
                </table>
        </td>
</tr>
<tr>
<td style="vertical-allign: top">
<table cellspacing='1' cellpadding='0' width="100%" style="border-style: solid; border-color: #8494A0; border-width: 1px;" border='0'>
<tr>
<td style=" background-color: #E5E5E5;">
<table width="100%" ccellspacing='0' cellpadding='0' border='0'>
<tr>
<td style=" background-color: #E5E5E5;">

<xsl:choose>
<xsl:when test="//TYPE='select'">
<table width="100%" cellspacing='0' cellpadding='0' border='0'>
<tr>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='document.forms[0].sb_temp_frame.value="upload";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="UPLOAD"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_sel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<!--<a href="javascript:void(1);" style="cursor: hand;" onclick='document.forms[0].sb_temp_frame.value="select";document.forms[0].submit();'>-->
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="SELECT"/>
</td>
</tr>
</table>
<!--</a>-->
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_sel_unsel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='dc(1);document.forms[0].sb_temp_frame.value="preview";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="PREVIEW"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="8px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_end.gif);">
</td>
<td height="29px" width="50%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_empty.gif);">
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="//TYPE='preview'">
<table width="100%" cellspacing='0' cellpadding='0' border='0'>
<tr>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='dc(1);document.forms[0].sb_temp_frame.value="upload";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="UPLOAD"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_unsel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='dc(1);document.forms[0].sb_temp_frame.value="select";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="SELECT"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_sel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<!--<a href="javascript:void(1);" style="cursor: hand;" onclick='document.forms[0].sb_temp_frame.value="preview";document.forms[0].submit();'>-->
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="PREVIEW"/>
</td>
</tr>
</table>
<!--</a>-->
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_sel_end.gif);">
</td>
<td height="29px" width="50%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_empty.gif);">
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<table width="100%" cellspacing='0' cellpadding='0' border='0'>
<tr>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_sel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<!--<a href="javascript:void(1);" style="cursor: hand;" onclick='document.forms[0].sb_temp_frame.value="upload";document.forms[0].submit();'>-->
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="UPLOAD"/>
</td>
</tr>
</table>
<!--</a>-->
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_sel_unsel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='dc(1);document.forms[0].sb_temp_frame.value="select";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="SELECT"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_unsel.gif);">
</td>
<td height="29px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_unsel.gif);padding-left: 10px; padding-right: 10px; vertical-allign: bottom;">
<a href="javascript:void(1);" style="cursor: hand; text-decoration: none;" onclick='dc(1);document.forms[0].sb_temp_frame.value="preview";document.forms[0].submit();'>
<table cellspacing='0' cellpadding='0' border='0' width="100%" >
<tr>
<td class="SB_Style_formtitle" style="allign: center; vertical-allign: midle;"><xsl:value-of select="PREVIEW"/>
</td>
</tr>
</table>
</a>
</td>
<td height="29px" width="8px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_unsel_end.gif);">
</td>
<td height="29px" width="50%" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_empty.gif);">
</td>
</tr>
</table>
</xsl:otherwise>
</xsl:choose>

</td>
</tr>
<tr>
<td style=" background-color: #E5E5E5;">
<table cellspacing='0' cellpadding='0' height="100%" width="100%">
<tr>
<xsl:choose>
<xsl:when test="//TYPE='select'">
<td style="padding: 3px;">
<xsl:apply-templates select="PHOTOSELECT"/>
</td>
</xsl:when>
<xsl:when test="//TYPE='preview'">
<td style="padding: 3px;">
<xsl:apply-templates select="PHOTOPREVIEW"/>
</td>
</xsl:when>
<xsl:otherwise>
<td>
<xsl:apply-templates select="PHOTOUPLOAD"/>
</td>
</xsl:otherwise>
</xsl:choose>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td height="34px" width="20px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_left_status.gif);">
</td>
<td height="34px" width="650px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_status.gif);">



<table width="100%"        cellspacing="0"        cellpadding="0"        border="0">
                                        <tr>
                                                        <xsl:choose>
                                                        <xsl:when test='//FOOTER/STATUS'>
                                                <td width="1">&#160;</td>
                                                                <td width="20" valign='middle'>
                                                                        <img id="stat_img" name="stat_img" border='0' width='23' height='23' style="margin-top: 1px;">
                                                                                <xsl:choose>
                                                                                <xsl:when test="$browser='MOZILLA'"><xsl:attribute name="style">margin-top:1px;</xsl:attribute></xsl:when>
                                                                                </xsl:choose>
<!--
                                                                                <xsl:attribute name="src"><xsl:value-of select="$baseURL"/><xsl:value-of select="//FOOTER/STATUS/@ICON"/></xsl:attribute>
-->
                                                                                <xsl:attribute name="src"><xsl:value-of select="//FOOTER/STATUS/@ICON"/></xsl:attribute>
                                                                        </img>
                                                                        <xsl:choose>
                                                                        <xsl:when test="$browser='MOZILLA'">
                                                                        </xsl:when>
                                                                        <xsl:otherwise>
                                                                        <div id='stat_img_ok' class="SB_Style_status_hidden"><img border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_info.gif'/></div>
                                                                        <div id='stat_img_stop' class="SB_Style_status_hidden"><img border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif'/></div>
                                                                        </xsl:otherwise>
                                                                        </xsl:choose>
                                                                        </td>
                                                <td width='98%' nowrap='nowrap' valign='middle' style="padding-top: 1px;"><span class="SB_Style_design_text">&#160;</span><span id='status_message'        class='SB_Style_status' style="color: #474747;"><xsl:value-of select="//FOOTER/STATUS/@MESSAGE"/></span></td>
                                                <td width="1"><img width="1" height="34" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" border="0" valign="top" alt=""/></td>
                                                <td width="1" nowrap="nowrap"></td>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                <xsl:choose>
                                                <xsl:when test="$browser='OPERA'">
                                                <td width="20" valign='middle'><img border='0' width='29' height='1' valign='top' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif'/>
                                                        <div id='stat_img_ok' class="SB_Style_status_hidden_opera"><img  border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_info.gif'/></div>
                                                        <div id='stat_img_stop' class="SB_Style_status_hidden_opera"><img  border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif'/></div>
                                                </td>
                                                </xsl:when>
                                                <xsl:when test="$browser='MOZILLA'">
                                                <td width="20" valign='middle'>
                                                        <img id="stat_img" name="stat_img" border='0' align='right' width='23' height='23' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' style="margin-left:5px; margin-top: 1px;"/>
                                                </td>
                                                </xsl:when>

                                                <xsl:otherwise>
                                                <td width="20" valign='middle'>
                                                        <img id="stat_img" name="stat_img" border='0' align='right' width='23' height='23' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' style="margin-left:5px; margin-top: 1px;"/>
                                                        <div id='stat_img_ok' class="SB_Style_status_hidden"><img name="stat_img" align='right' border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_info.gif'/></div>
                                                        <div id='stat_img_stop' class="SB_Style_status_hidden"><img name="stat_img" align='right' border='0' width='23' height='23' valign='middle' src='{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif'/></div>
                                                </td>
                                                </xsl:otherwise>
                                                </xsl:choose>
                                                <td         width="23" style="padding-top: 10px;" valign='middle'></td>
                                                <td width='98%' nowrap='true' valign='middle' style="padding-top: 10px;padding-right: 0px;padding-left: 0px;padding-bottom: 0px; padding-left:6px">&#160;<span id='status_message' class='SB_Style_status' nowrap='true' ></span></td>
                                                <td width="1"><img width="1" height="1" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" border="0" valign="top" alt=""/></td>
                                                        </xsl:otherwise>
                                                        </xsl:choose>
                                        </tr>
                                </table>




</td>
<td height="34px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_status.gif);">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">doPrevEditPhoto(true);</xsl:with-param>
<xsl:with-param name="caption" select='APPLAY'/>
</xsl:call-template>
</td>
<td height="34px" width="5px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_status.gif);">
</td>
<td height="34px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_bg_status.gif);">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">doPrevEditPhoto(false);</xsl:with-param>
<xsl:with-param name="caption" select='CANCEL'/>
</xsl:call-template>
</td>
<td height="34px" width="7px" style="background-image: url({$baseURL}/skins/{$sb_skin}/images/sb_photo_right_status.gif);">
</td>
</tr>
</table>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PHOTOPREVIEW">
<div id="pr_photo" name="pr_photo" style="border-style: solid; border-color: #8494A0; background-color: #ffffff; border-width: 1px; height: 378px; width: 745px; overflow-y: auto; overflow-x: auto; overflow: auto; ">
</div>
<script type="text/javascript" language="javascript">
<xsl:comment>
doPreviewBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTPH" />');
//</xsl:comment>
</script>
</xsl:template>

<xsl:template match="PHOTOUPLOAD">
<div id="pr_photo" name="pr_photo" style="height: 385px; overflow-y: auto; overflow-x: auto; overflow: auto;">
<table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'>
        <tr>
                <td>
                        <table width='100%' cellspacing='0' cellpadding='0' border='0' align='center'>
                                <tr>
                                        <td width='10'></td>
                                        <td width='10'><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width='10' height='10' border='0' /></td>
                                        <td width='10'></td>
                                </tr>
                                <tr>
                                        <td><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width='10' height='10' border='0' /></td>
                                        <td align='center'>
                                                <table width='250' cellspacing='2' cellpadding='0' border='0' align='center'>
                                                        <tr>
                                                                <td>
                                                                        <table width='100%' cellspacing='0' cellpadding='2' border='0'>
                                                                                <tr>
                                                                                        <td nowrap='true' width='1%' class='SB_Style_design_text'><xsl:value-of select="LEGEND/IMGFILE"/>&#160;</td>
                                                                                        <td colspan='2' class='SB_Style_formfield'>
                                                                                        <input type='file' name='sb_photo_upload' >
                                                                                        <xsl:if test="$browser='MOZILLA'"><xsl:attribute name='size'>19</xsl:attribute></xsl:if>
                                                                                        <xsl:attribute name='onKeyPress'>return checkPhotoKey(event, '<xsl:value-of select="LEGEND/NOTSUPP"/>', '<xsl:value-of select="LEGEND/NOFILE"/>')</xsl:attribute>
                                                                                        </input>
                                                                                        </td>
                                                                                </tr>
                                                                                <tr>
                                                                                <td nowrap='true' width='1%' class='SB_Style_design_text'><xsl:value-of select="LEGEND/IMGCAPTION"/>&#160;</td>
                                                                                <td class='SB_Style_formfield'>
                                                                                <input type='text' name='sb_photo_text'  maxlength='50' >
                                                                                <xsl:attribute name='value'><xsl:value-of select="IMAGELIST/SELECTEDPH/@CAPTION" /></xsl:attribute>
                                                                                <xsl:attribute name='onKeyPress'>return checkPhotoKey(event, '<xsl:value-of select="LEGEND/NOTSUPP"/>', '<xsl:value-of select="LEGEND/NOFILE"/>')</xsl:attribute>
                                                                                </input>
                                                                                </td>
                                                                                <td align='center' width='65'>&#160;</td>
                                                                        </tr>
                                                                </table>
                                                        </td>
                                                </tr>
                                                <tr>
                                                <xsl:choose>
                                                <xsl:when test="IMAGELIST/IMAGE/@SELECTED='true'">
                                                <td colspan="3">
                                                        <table width='100%' cellspacing='0' cellpadding='0' border='0'>
                                                                <tr>
                                                                        <td>
                                                                                <xsl:call-template name="drawButton"><xsl:with-param name="onClick">if(document.forms[0].sb_photo_upload.value != "" || document.forms[0].edit_photo_id.value != "") { var vfile = document.forms[0].sb_photo_upload.value;if(vfile == "" || vfile.substr(vfile.length-4,4).toLowerCase()==".gif" || vfile.substr(vfile.length-4,4).toLowerCase()==".png" || vfile.substr(vfile.length-4,4).toLowerCase()==".jpg" || vfile.substr(vfile.length-4,4).toLowerCase()==".bmp" || vfile.substr(vfile.length-5,5).toLowerCase()==".jpeg"){dc(1);document.forms[0].update_photo.value=1;document.forms[0].submit();}else { alert('<xsl:value-of select="LEGEND/NOTSUPP"/>'); }}</xsl:with-param>
                                                                                <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="LEGEND/IMGAPPLYU"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                                                </xsl:call-template>

                                                                        </td>
                                                                        <td>
                                                                        <xsl:call-template name="drawButton">
                                                                        <xsl:with-param name="onClick">dc(1);document.forms[0].update_photo.value='cancel';document.forms[0].submit();</xsl:with-param>
                                                                        <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="LEGEND/IMGCANCEL"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                                        </xsl:call-template>
                                                                        </td>
                                                                </tr>
                                                        </table>
                                                <input type='hidden' name="update_photo" value=""/>
                                                <input type='hidden' name="edit_photo_id" >
                                                <xsl:attribute name='value'><xsl:value-of select="IMAGELIST/SELECTEDPH/@ID"/></xsl:attribute>
                                                </input>
                                                </td>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                <td align='center'>
                                                        <xsl:call-template name="drawButton">
                                                        <xsl:with-param name="onClick">if (document.forms[0].sb_photo_upload.value != ""){var vfile = document.forms[0].sb_photo_upload.value;if(vfile.substr(vfile.length-4,4).toLowerCase()==".gif" || vfile.substr(vfile.length-4,4).toLowerCase()==".png" || vfile.substr(vfile.length-4,4).toLowerCase()==".jpg" || vfile.substr(vfile.length-4,4).toLowerCase()==".bmp" || vfile.substr(vfile.length-5,5).toLowerCase()==".jpeg"){dc(1);document.forms[0].update_photo.value='1';document.forms[0].submit();}else { alert('<xsl:value-of select="LEGEND/NOTSUPP"/>'); }}else {alert('<xsl:value-of select="LEGEND/NOFILE"/>');}</xsl:with-param>
                                                        <xsl:with-param name="caption">&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="LEGEND/IMGAPPLYA"/>&#160;&#160;&#160;&#160;&#160;</xsl:with-param>
                                                        </xsl:call-template>
                                                        <input type='hidden' name="update_photo" value=""/>
                                                        <input type='hidden' name="edit_photo_id" >
                                                        <xsl:attribute name='value'><xsl:value-of select="IMAGELIST/SELECTEDPH/@ID"/></xsl:attribute>
                                                        </input>
                                                </td>
                                                </xsl:otherwise>
                                                </xsl:choose>
                                        </tr>
                                </table>
                        </td>
                        <td><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width='10' height='10' border='0' /></td>
                </tr>
                <tr>
                        <td></td>
                        <td ><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width='10' height='10' border='0' /></td>
                        <td></td>
                </tr>
        </table>
</td>
</tr>
<tr>
        <td>
                <div class="SB_Style_photolist" style="border-style: solid; border-color: #8494A0; border-width: 1px; background-color: #ffffff;">
                <xsl:if test="IMAGELIST">
                        <table width='100%' cellspacing='0' cellpadding='0' border='0'>
                                <xsl:for-each select="IMAGELIST/IMAGE">
                                <tr>
                                        <td width='100%'>
                                                <table width='100%' cellspacing='5' cellpadding='0' border='0'>
                                                        <tr>
                                                                <td height="110px">
                                                                        <a href="javascript:void(1)" style="text-decoration: none" >
                                                                        <table width='100%' cellspacing='0' cellpadding='0' border='0' class="SB_Style_tablebutton">
                                                                                <tr>
                                                                                        <td>
                                                                                        <img border='0' alt='' width='90px' style="cursor: hand;">
                                                                                        <xsl:if test="@SELECTED='true'">
                                                                                        <xsl:attribute name="class">SB_Style_imagelist_selected</xsl:attribute>
                                                                                        </xsl:if>
                                                                                        <xsl:attribute name='onclick'>dc(1);document.forms[0].edit_photo_id.value='<xsl:value-of select="@THUMB" />';document.forms[0].submit();</xsl:attribute>
                                                                                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@THUMB' /></xsl:attribute>
                                                                                        <xsl:attribute name='alt'><xsl:value-of select="@CAPTION" /></xsl:attribute>
                                                                                        </img>
                                                                                        </td>
                                                                                </tr>
                                                                        </table>
                                                                        </a>
                                                                </td>
                                                                <td width="35">&#160;</td>
                                                                <td width="65%" class="pageContent" style="color: #474747;">
                                                                <input type="hidden">
                                                                <xsl:attribute name='name'>ph_<xsl:value-of select="@FILENAME" />_caption</xsl:attribute>
                                                                <xsl:attribute name='value'><xsl:value-of select="@CAPTION" /></xsl:attribute>
                                                                </input>
                                                                <xsl:value-of select="@CAPTION" />
                                                                </td>
                                                                <td width="65" align="center">
                                                                <img width='65' height='1' border='0' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif'/>
                                                                <xsl:choose>
                                                                <xsl:when test="@SELECTED='true'">&#160;</xsl:when>
                                                                <xsl:otherwise>
                                                                <input type="checkbox" name="del_ph_id[]">
                                                                <xsl:attribute name='value'><xsl:value-of select="@THUMB" /></xsl:attribute>
                                                                </input>
                                                                </xsl:otherwise>
                                                                </xsl:choose></td></tr>
                                                </table>
                                        </td>
                                </tr>
                                <tr class="SB_Style_imagelist_empty"><td><img width='100%' height='1' border='0' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif'></img></td></tr>
                        </xsl:for-each>
                        </table>
                        </xsl:if>
                </div>
        </td>
</tr>
<tr>
<td align="right" style="padding-top: 4px;">
<xsl:choose>
<xsl:when test="IMAGELIST/IMAGE/@SELECTED='true'">&#160;</xsl:when>
<xsl:otherwise>
<xsl:if test="IMAGELIST/IMAGE">
<input type="hidden" name="sb_delete_photos" value="" />
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkDelete('<xsl:value-of select="LEGEND/SUREDEL"/>', '<xsl:value-of select="LEGEND/NOTHING"/>')) {dc(1);document.forms[0].sb_delete_photos.value="1";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='LEGEND/DELETE'/>
</xsl:call-template>
</xsl:if>
</xsl:otherwise>
</xsl:choose>
</td>
</tr>
</table>
</div>
</xsl:template>

<xsl:template match="PHOTOSELECT">
<div id="pr_photo" name="pr_photo" style="height: 378px; overflow-y: auto; overflow-x: auto; overflow: auto; border-style: solid; border-color: #8494A0; border-width: 1px; background-color: #ffffff;">
<xsl:for-each select="TEMPLATES-LIST/TEMPLATE">
<xsl:choose>
<xsl:when test='@SELECTED="1"'>
<div style="float:left; height: 170px; width: 130px; allign: center; vertical-allign: middle; padding-left: 10px; padding-top: 5px;"><table cellspacing='3' cellpadding='3' border='0' allign="center">
<tr>
<td>
<table cellspacing='0' cellpadding='0' border='0'>
        <tr>
                <td colspan='3'>
                        <img width='118' height='118' style="border-width: 1px; border-style: solid; border-color: #FF3D0C;">
                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@ICON' /></xsl:attribute>
                        <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
                        </img>
                </td>
        </tr>
        <tr align='center'>
                <td height='3'><img src='{$baseURL}/skins/{$sb_skin}/images/design_button_selected_left.gif' width='3' height='20' border='0' /></td>
                <td width='115'  style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_button_selected_m.gif);" class='SB_Style_design_layout_selected' valign='middle' align='center'><xsl:value-of select="../LEGEND/TMPLSELECTED"/></td>
                <td width='3'><img src='{$baseURL}/skins/{$sb_skin}/images/design_button_selected_r.gif' width='3' height='20' border='0' /></td>
        </tr>
</table>
</td>
</tr>
</table></div>
</xsl:when>
<xsl:otherwise>
<div style="float:left; height: 170px; width: 130px; allign: center; vertical-allign: middle; padding-left: 10px; padding-top: 5px;"><table cellspacing='3' cellpadding='3' border='0' allign="center">
<tr>
<td>
        <a href="javascript:void(1)" style="text-decoration: none" >
                <table cellspacing='0' cellpadding='0' border='0' class="SB_Style_tablebutton">
                        <tr>
                                <td colspan='3' style="cursor:hand;" align='center'>
                                        <xsl:attribute name='onclick'>dc(1);document.forms[0].templateid.value='<xsl:value-of select="@ID"/>';document.forms[0].submit();</xsl:attribute>
                                        <img width='118' height='118' border='0'>
                                        <xsl:attribute name='src'><xsl:value-of select="$baseURL"/><xsl:value-of select='@ICON' /></xsl:attribute>
                                        <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
                                        </img>
                                </td>
                        </tr>
                        <tr align='center' style="cursor:hand;">
                        <xsl:attribute name='onclick'>document.forms[0].templateid.value='<xsl:value-of select="@ID"/>';document.forms[0].submit();</xsl:attribute>
                                <td height='3'><img src='{$baseURL}/skins/{$sb_skin}/images/design_button_preview_l.gif' width='3' height='20' border='0' /></td>
                                <td width='114' style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_button_select_l.gif);" class='SB_Style_design_layout_select' valign='middle' align='center'><xsl:value-of select="../LEGEND/TMPLSELECT"/></td>
                                <td width='3'><img src='{$baseURL}/skins/{$sb_skin}/images/design_button_select_r.gif' width='3' height='20' border='0' /></td>
                        </tr>
        </table>
        </a>
        </td>
</tr>
</table></div>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<input type="hidden" name="templateid" value=""/>
</div>
</xsl:template>

</xsl:stylesheet>