<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
<!-- 
	MSIE | MOZILLA | OPERA 
-->
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:include href="common.xsl"/>
<xsl:template match="/">
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
		<html>
			<head>
				<title>SiteBuilder</title>
				<link rel="stylesheet" type="text/css" href="{$baseURL}/styles/style.css"/>
				<script	type="text/javascript" language="javascript">
				<xsl:comment>
				var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="/*/LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
				var LOCALE_APPLY_CHANGES_YOURSELF =	'<xsl:value-of select="/*/LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
				var __base__URL = '<xsl:value-of select="$baseURL"/>';
				var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
				//</xsl:comment>
				</script> 
				<script type="text/javascript" language="javascript" src='{$baseURL}/js/common.js'></script>
			</head>	
			<body>
                <xsl:call-template name="ROOT-LAYOUT"/>
			</body>
		</html>
	</xsl:template>
    
    <xsl:template name="PAGE-CONTENT">
        <table border="0" cellpadding="0" cellspacing="0" width="784" bgcolor="white" >				
            <tr>
                <td class="content-menu" colspan="2" align="left" valign="top"><img src="{$baseURL}/images/empty.gif" width="1" height="5" border="0"/></td>
            </tr>
            
            <tr>
                <td class="content-menu" colspan="2" align="left" valign="top">&#160;&#160;<xsl:apply-templates select="/*/PATH"/></td>
            </tr>
            <tr>
                <td  align="center" valign="top"><xsl:apply-templates select="/*/MENU"/><xsl:apply-templates select="/*/CONTENT-AREA"/></td>
                <td  align="center" valign="top" width="200"><xsl:apply-templates select="/*/INFO-PANEL"/></td>
            </tr>
        </table>
    </xsl:template>

	<xsl:template match="PATH">
        <xsl:for-each select="ITEM">
            <a class="content-menu">
                <xsl:attribute name="href">
                    <xsl:value-of select="@URL"/>
                </xsl:attribute>
                <xsl:value-of select="."/>
            </a>      
            <xsl:if test="position()!=last()">&#160;&gt;&#160;</xsl:if>
        </xsl:for-each>
    </xsl:template>
	
    <xsl:template match="NOTIFY-TOPIC">
        <xsl:call-template name="TOPIC-TITLE">
            <xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
        </xsl:call-template>
		<xsl:for-each select="MESSAGE">
        <p class ="content"><xsl:value-of select="."/></p>
		</xsl:for-each>
    </xsl:template>

	<xsl:template match="SYSINFO-TOPIC">
        <img src="{$baseURL}/images/empty.gif" width="1" height="20" border="0"/>
        <xsl:call-template name="TOPIC-TITLE">
            <xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
        </xsl:call-template>
        <table border="0" cellpadding="4" cellspacing="0" width="100%">
        <xsl:for-each select="ITEM">
            <tr>
                <td class="topic-item">&#160;&#160;-&#160;<xsl:value-of select="."/></td>
            </tr>
        </xsl:for-each>
        </table>
    </xsl:template>

	<xsl:template match="/*/MENU">
        <img src="{$baseURL}/images/empty.gif" width="1" height="5" border="0"/>
        <xsl:call-template name="TOPIC-TITLE">
            <xsl:with-param name="TITLE"><xsl:apply-templates select="TITLE"/></xsl:with-param>
        </xsl:call-template>
        <table border="0" cellpadding="4" cellspacing="0" width="100%">
            <xsl:apply-templates select="ITEM"/>
        </table>
        <img src="{$baseURL}/images/empty.gif" width="1" height="50" border="0"/>
	</xsl:template>
	
    <xsl:template match="MENU/ITEM">
        <xsl:choose>
            <xsl:when test="position() = 1">
                <xsl:value-of disable-output-escaping="yes" select="concat('&lt;','tr','&gt;')"/>
                <xsl:call-template name="IMAGE-MENU-ITEM"/>
            </xsl:when>
        
            <xsl:when test=". = '{separator}'">
                <xsl:value-of disable-output-escaping="yes" select="concat('&lt;','/tr','&gt;')"/>
                <xsl:value-of disable-output-escaping="yes" select="concat('&lt;','tr','&gt;')"/>
            </xsl:when>

            <xsl:when test="position() = last()">
                <xsl:value-of disable-output-escaping="yes" select="concat('&lt;','/tr','&gt;')"/>
                <xsl:if test=". != '{finish}'">
                    <xsl:call-template name="IMAGE-MENU-ITEM"/>
                </xsl:if>
            </xsl:when>
        
            <xsl:when test=". = '{finish}'">
                <td align="center" class="content-menu">&#160;</td>
            </xsl:when>
            
            <xsl:otherwise>
                <xsl:call-template name="IMAGE-MENU-ITEM"/>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

	<xsl:template match="CONFIRM-DELETE-USER">
		<form name="cc_delete_user" method="post">
		<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
		<xsl:apply-templates select="FIELD"/>
		<table width="80%" cellspacing="0" cellpadding="0" border="0">
			<tr>
				<td colspan="2" align="middle">
					<xsl:value-of select="TITLE"/><br/><br/>
				</td>
			</tr>

			<tr align="middle">
				<td>
					<a><xsl:attribute name="href"><xsl:value-of select="BUTTON[@NAME='cc_delete_yes_button']/@ONCLICK"/></xsl:attribute><img src="{$baseURL}/images/b_yes.gif" alt="" border="0" align="middle"/></a>
					<input type="hidden" name="cc_confirm_delete" value=""/>
				</td>
				<td>
					<a><xsl:attribute name="href"><xsl:value-of select="BUTTON[@NAME='cc_delete_no_button']/@ONCLICK"/></xsl:attribute><img src="{$baseURL}/images/b_no.gif" alt="" border="0" align="middle"/></a>
				</td>
			</tr>
		</table>
		</form>
	</xsl:template>

	<xsl:template match="USER-PAGE">
			<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="UPC-SUPPORT-PAGE">
			<xsl:apply-templates select="NEW-MESSAGE"/>
			<xsl:apply-templates select="MESSAGE-LIST"/>
	</xsl:template>


	<xsl:template match="NEW-MESSAGE">
		<form name="sb_ucp_support" method="post">
			<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
		<table width="100%" cellspacing="0" cellpadding="0">
			<xsl:apply-templates select="FIELD"/>
			<tr>
				<td colspan="4" align="center">
					<a href="javascript:void();"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/images/b_go1.gif" alt="" border="0" align="middle"/></a>
				</td>
			</tr>
			<xsl:apply-templates select="WARNING"/>
		</table>
		</form>
	</xsl:template>

	<xsl:template match="NEW-MESSAGE/WARNING">
		<tr>
			<td width="100%" align="center" colspan="4"><font size="2" class="SB_Style_searchr_warning"><b><xsl:value-of select="."/></b></font></td>
		</tr>
	</xsl:template>

	<xsl:template match="MESSAGE-LIST">
		<form name="sb_ucp_msgs" method="post">
		<xsl:attribute name="action"><xsl:value-of select="$baseURL"/><xsl:value-of select="$baseURL_SUFFIX"/><xsl:value-of select="@ACTION"/></xsl:attribute>
		<xsl:apply-templates select="FIELD"/>
		<table width="100%" cellspacing="0" cellpadding="0" border="0">
			<tr class="SB_Style_CCCCCC">
				<td align="middle"><xsl:value-of select="LEGEND/@ID"/></td>
				<td align="middle"><xsl:value-of select="LEGEND/@FROM"/></td>
				<td align="middle"><xsl:value-of select="LEGEND/@MESSAGE"/></td>
				<td align="middle"><xsl:value-of select="LEGEND/@CONFIRM"/></td>
				<td align="middle"><xsl:value-of select="LEGEND/@MARKREAD"/></td>
				<td align="middle"><xsl:value-of select="LEGEND/@DELETE"/></td>
			</tr>
			<xsl:for-each select="MESSAGE">
			<tr>
				<td align="middle"><xsl:value-of select="@ID"/></td>
				<td align="middle"><xsl:value-of select="@NAME"/></td>
				<td align="middle"><xsl:value-of select="@MESSAGE"/></td>
				<td align="middle"><xsl:value-of select="@CONFIRM"/></td>
				<td align="middle"><xsl:apply-templates select="READFLAG" /></td>
				<td align="middle"><xsl:apply-templates select="DELFLAG" /></td>
			</tr>
			</xsl:for-each>
			<tr>
				<td colspan="8" align="right">
					<a href="javascript:void();"><xsl:attribute name="onclick"><xsl:value-of select="BUTTON/@ONCLICK"/></xsl:attribute><input type="image" src="{$baseURL}/images/b_go1.gif" alt="" border="0" align="middle"/></a>
				</td>
			</tr>
		</table>
		</form>
	</xsl:template>


	<xsl:template match="READFLAG">
		<xsl:call-template name="CHECKBOX"/>
	</xsl:template>

	<xsl:template match="DELFLAG">
		<xsl:call-template name="CHECKBOX"/>
	</xsl:template>


</xsl:stylesheet>