<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="browser" select="'MSIE'"/>
<xsl:param name="baseURL" select="''"/>
<xsl:param name="baseURL_SUFFIX" select="''"/>
<xsl:param name="trastedSite" select="''"/>
<xsl:param name="sb_langp" select="''"/>
<xsl:param name="systemLOGO" select="''"/>
<xsl:param name="heightLOGO" select="''"/>
<xsl:param name="widthLOGO" select="''"/>
<xsl:param name="sid" select="'xxxxxx'"/>
<xsl:variable name="sb_skin" select="/*/SKIN"/>
<xsl:include href="common.xsl"/>
<xsl:include href="templates.xsl"/>
<xsl:include href="edit.xsl"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>
<xsl:strip-space elements="*"/>

<xsl:template match="/">
<xsl:variable name="pageID" select="//CONTENT-AREA/@PAGEID"/>
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<html>
<head>
<title>SiteBuilder</title>
<script type="text/javascript" language="javascript"  src='{$baseURL}/js/common.js'></script>
<link rel="stylesheet" type="text/css" href="{$baseURL}/skins/{$sb_skin}/style.css"/>
<script type='text/javascript' language='javascript'  src="{$baseURL}/js/wizard.js"></script>
<script	type="text/javascript" language="javascript" >
<xsl:comment>
var LOCALE_CONFIRMATION_APPLY_CHANGES = '<xsl:value-of select="//LOCALIZE/CONFIRMATION_APPLY_CHANGES"/>';
var LOCALE_APPLY_CHANGES_YOURSELF = '<xsl:value-of select="//LOCALIZE/APPLY_CHANGES_YOURSELF"/>';
var __sid = '<xsl:value-of select="$sid"/>';
var __base__URL = '<xsl:value-of select="$baseURL"/>';
var __base__URL_SUFFIX = '<xsl:value-of select="$baseURL_SUFFIX"/>';
var __sb_skin = '<xsl:value-of select="$sb_skin"/>';
var __trastedSite = '<xsl:value-of select="$trastedSite"/>';
var __sb_lang = '<xsl:value-of select="$sb_langp"/>';
//</xsl:comment>
</script> 
<xsl:if test="$pageID='edit'"><xsl:call-template name="HEAD-EDIT"/></xsl:if>

</head>
<body id="wizbody" onLoad="dc(0);">
<xsl:if test="$pageID='edit'"><xsl:call-template name="FIRST-TAG-EDIT"/></xsl:if>
<div id="DIV_DESKTOP" style="background-image : url({$baseURL}/skins/{$sb_skin}/images/empty.gif);">&#160;</div>
<div id="loader">
<table summary="Loader Layout" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
<tr>
<td valign="middle" align="center">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
<tr>
<td valign="middle" align="center" width="26"><img src="{$baseURL}/skins/{$sb_skin}/images/clocks.gif" align="center" border="0" hspace="0" vspace="0" height="26" width="26" alt="clocks"/></td>
<td valign="middle"><xsl:value-of select="//@ON_LOAD_MESSAGE" disable-output-escaping="yes"/></td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="JavaScript" >
dc(1);
</script>
<xsl:call-template name="ROOT-LAYOUT"/>
</body>
</html>
</xsl:template>
<!--

-->
<xsl:template name="PAGE-CONTENT">
<xsl:variable name="pageID" select="/*/CONTENT-AREA/@PAGEID"/>
<xsl:choose>
<xsl:when test="$pageID='design'">
<table id="pageContent" border="0" cellpadding="3" cellspacing="0" width="100%">
<tr>
<td valign="top" width="1%" class="SB_Style_pcBG">
<xsl:apply-templates select="/*/CONTENT-AREA/MENU" mode="design"/>
<br/>
</td>
<td bgcolor="white" width="99%" valign="top">
<xsl:apply-templates select="/*/CONTENT-AREA/*[name(.)!='MENU']"  mode="design"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='publish'">
<xsl:choose>
<xsl:when test="/*/CONTENT-AREA/DEMO='true'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td bgcolor="white" valign="middle" >
<input type="hidden" name="mode" value="publish"/>
<input type="hidden" id="sb_changes" name="sb_changes" value=""/>
<input type="hidden" name="sb_pageid" value="publish"/>
<input type="hidden" name="show_preview" value=""/>
<table width="100%" cellspacing="0" cellpadding="0" border='0'>
<tr>
<td align="center">
<table border='0' cellspacing="0" cellpadding="0">
<tr>
<td width="70px" align="center">
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/demo_publish.gif"/> 
</td>
<td width="282px" valign="center">
<table width="282px" cellspacing="0" cellpadding="0" border='0'>
<tr>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
<td height="44px" width="250px" class="SB_Style_design_text">
<xsl:value-of select="/*/CONTENT-AREA/DEMOSTRING"/>
</td>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
</tr>
</table>
</td>
</tr>
</table>
</td> 
</tr>
</table>
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td bgcolor="white" valign="middle">
<form name="pub_form" method="post" action="{$baseURL}/wizard/index.php">
<input type="hidden" name="mode" value="publish"/>
<input type="hidden" id="sb_changes" name="sb_changes" value=""/>
<input type="hidden" name="sb_pageid" value="publish"/>
<input type="hidden" name="show_preview" value=""/>
<input type="hidden" name="sb_ftp_host_name" value=""/>
<input type="hidden" name="cmd" value=""/>

<table width="100%" cellspacing="0" cellpadding="0" border='0'>
<tr>
<td colspan="2" align="center">


<table border='0' cellspacing="0" cellpadding="0" width="60%">

<xsl:if test="//WARNING-MESSAGE">
<tr>
<td colspan="2" class="SB_Style_pc_Border" align="left">
<table border='0' cellspacing="5" cellpadding="0">
<tr><td>
<table border='0' cellspacing="0" cellpadding="0">
<tr>
<td width="70px" align="center">
<img border="0" src="{$baseURL}/skins/{$sb_skin}/images/demo_publish.gif"/> 
</td>
<td width="282px" valign="center">
<table width="282px" cellspacing="0" cellpadding="0" border='0'>
<tr>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
<td height="44px" width="250px" class="SB_Style_design_warning_text">
<xsl:value-of select="//WARNING-MESSAGE"/>
</td>
<td height="44px" width="16px" class="SB_Style_design_text">&#160;</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<tr><td colspan="2"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" height="10" width="1"/></td></tr>
</xsl:if>

<tr>
<td width="10%" class="SB_Style_pc_Border"><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/arrow_right_black.gif"/></td>
<td width="90%" class="SB_Style_publish_login_head"><xsl:value-of select="/*/CONTENT-AREA/HEAD"/></td>
</tr>

<xsl:if test="/*/CONTENT-AREA/PUBLISH/LEGEND/DESCRIPTION">
<tr>
<td colspan="2" class="SB_Style_pc_Border" align="left"><xsl:value-of select="/*/CONTENT-AREA/PUBLISH/LEGEND/DESCRIPTION"/></td>
</tr>
</xsl:if>
<xsl:if test="/*/CONTENT-AREA/PUBLISH/PUBLISH-LOGIN/HELP-MESSAGE">
<tr>
<td colspan="2" class="SB_Style_pc_Border" align="left"><xsl:value-of select="/*/CONTENT-AREA/PUBLISH/PUBLISH-LOGIN/HELP-MESSAGE"/></td>
</tr>
</xsl:if>
<xsl:if test="/*/CONTENT-AREA/PUBLISH/LEGEND/DESCRIPTIONSUSES">
<tr>
<td colspan="2" class="SB_Style_pc_Border" align="left"><xsl:value-of select="/*/CONTENT-AREA/PUBLISH/LEGEND/DESCRIPTIONSUSES"/></td>
</tr>
</xsl:if>
<xsl:if test="//CONTENT-AREA/PUBLISH/PUBLISH-LOGIN">
<tr>
<td colspan="2" align="center">
<xsl:apply-templates select="//CONTENT-AREA/PUBLISH/PUBLISH-LOGIN"/>
<script type='text/javascript' language='javascript'  src='{$baseURL}/js/publish.js'></script>
</td>
</tr>
</xsl:if>
<xsl:for-each select="/*/CONTENT-AREA/WARNING">
<tr>
<td colspan="2" align="center">
<b><span class="SB_Style_AlertText"><xsl:value-of select="."/></span></b>
</td>
</tr>
</xsl:for-each>
</table>
</td></tr></table>
<script type="text/javascript" language="javascript" >
setIdent('<xsl:value-of select="/*/CONTENT-AREA/PUBLISH/IDENT"/>');
</script>
</form>
</td>
</tr>
</table>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:when test="$pageID='stat'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td bgcolor="white" width="100%" valign="top">
<form name="stat" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/>/wizard/index.php</xsl:attribute>
<input type="hidden" name="mode" value="stat"/>
<input type="hidden" id="sb_changes" name="sb_changes" value=""/>
<input type="hidden" name="sb_pageid" value="stat"/>
<input type="hidden" name="show_preview" value=""/>
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</form>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='stat'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td bgcolor="white" width="100%" valign="top">
<form name="stat" method="post">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/>/wizard/index.php</xsl:attribute>
<input type="hidden" name="mode" value="stat"/>
<input type="hidden" id="sb_changes" name="sb_changes" value=""/>
<input type="hidden" name="sb_pageid" value="stat"/>
<input type="hidden" name="show_preview" value=""/>
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</form>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='pages'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td width="110" class="SB_Style_pcBG"  align='middle' valign="top">
<table id="designMenuPanel" cellpadding="0" cellspacing="0"  border="0" width="110" class="SB_Style_pcBG">
<tr height='3' width='110'>
<td><img src='{$baseURL}/skins/{$sb_skin}/images/design_menu_top.gif' width='131' height='3'/></td>
</tr>
<tr>
<td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif);" class="SB_Style_design_menu">
<table width="100%" cellspacing='5'>
<tr>
<td style="background-image: url({$baseURL}/skins/{$sb_skin}/images/design_menu_mid.gif);" class="SB_Style_design_menu">
<xsl:value-of select="//SITE-STRUCTURE/LEGEND/HELP-MESSAGE" /><br/><br/>
<xsl:value-of select="//SITE-STRUCTURE/LEGEND/HELP-MESSAGE2" />
</td>
</tr>
</table>
</td>
</tr>
<tr height='3' width='131'>
<td><img src='{$baseURL}/skins/{$sb_skin}/images/design_menu_bot.gif' width='131' height='3'/></td>
</tr>
</table>
</td>
<td width="20"><img src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='20' height='3'/></td>
<td bgcolor="white" valign="top">
<form name="pages" method="post" onsubmit="javascript:PrepareStructureToSave(SA);">
<xsl:attribute name="action"><xsl:value-of select="$baseURL"/>/wizard/index.php</xsl:attribute>
<input type="hidden" name="mode" value="pages"/>
<input type="hidden" id="sb_changes" name="sb_changes" value=""/>
<input type="hidden" name="sb_pageid" value="pages"/>
<input type="hidden" name="show_preview" value=""/>
<table width="100%" cellspacing="0" cellpadding="0" border='0'>
<tr>
<td colspan='5'>
<img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='100%' height='15' />
</td>
</tr>
<tr>
<script type='text/javascript' language='javascript'  src='{$baseURL}/js/pages.js'></script>
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</tr>
</table>
<script type="text/javascript" language='javascript'><xsl:comment>
var browser='<xsl:value-of select="//CONTENT-AREA/BROWSER/@NAME"/>';var body = getObj('wizbody'); 
<xsl:choose><xsl:when test="$browser='MOZILLA'">body.addEventListener('onload', SA = BuildStructure(), false);</xsl:when><xsl:when test="$browser='OPERA'">SA = BuildStructure();</xsl:when><xsl:otherwise>body.attachEvent('onload', SA = BuildStructure());</xsl:otherwise></xsl:choose>//</xsl:comment>
</script></form>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='preview'">
<table id="pageContent" border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
<td bgcolor="silver" valign="top">
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='get_siteidentity'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td valign="middle" align="center">
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='overview'">
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td valign="middle">
<xsl:apply-templates select="/*/CONTENT-AREA"/>
</td>
</tr>
</table>
</xsl:when>
<xsl:when test="$pageID='edit'"><xsl:call-template name="BODY-EDIT"/></xsl:when>
<xsl:when test="$pageID='general'">
<table id="pageContent" border="0" cellpadding="2 ^)" cellspacing="0" width="100%">
<tr>
<td valign="top" height="100%">
<!--<fieldset class="SB_Style_wizardPanel" height="100%">-->
<xsl:apply-templates select="/*/CONTENT-AREA"/>
<!--</fieldset>-->
</td>
</tr>
</table>
</xsl:when>
<xsl:otherwise>
<table id="pageContent" border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td  align="center" valign="top">
<!--<fieldset class="SB_Style_wizardPanel">-->
<xsl:apply-templates select="/*/CONTENT-AREA"/>
<!--</fieldset>-->
</td>
</tr>
</table>
</xsl:otherwise>
</xsl:choose>
</xsl:template>


<!--
////
-->
<xsl:template match="GET-SITEIDENTITY-FORM">
<xsl:variable name="cellsTotal">2</xsl:variable>
<xsl:variable name="siteIdentity" select="FIELD[@NAME='sb_site_identity']"/>
<form name="towizard_form" method="post" action="{$baseURL}/wizard/index.php" onsubmit="return false;">
<xsl:apply-templates select="HIDDEN"/>
<table cellpadding="5" cellspacing="0" width="310px" valign="top" border="0" align="center" ID="SB_Style_SITEIDENTITY_FORM">
<xsl:if test="HELP-TOOLTIP">
<tr>
<td class="SB_Style_pc_Border" align="left"><xsl:value-of select="HELP-TOOLTIP" disable-output-escaping="yes"/></td>
</tr>
<tr><td><img border="0" src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" height="10" width="1"/></td></tr>
</xsl:if>
<xsl:if test="$siteIdentity">
<tr><td class="SB_Style_formtitle"><b><xsl:value-of select="$siteIdentity/@TITLE"/>:&#160;</b></td></tr>
<tr><td class="SB_Style_formfield">
<input type="text" id="site_identity" maxlength="255" 
	style="width: 315px;"
	name="{$siteIdentity/@NAME}"
	size="{$siteIdentity/@SIZE}"
	value="{$siteIdentity/@VALUE}"
	onchange="javascript: document.forms[0].sb_submit.value=1">
	<xsl:call-template name="setTabIndex"/>
</input></td></tr>
</xsl:if>
<tr><td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='10'/></td></tr>
</table>
<xsl:if test="$siteIdentity">
<script type="text/javascript" language="javascript">
document.forms[0].sb_site_identity.focus();
</script>
</xsl:if>
</form>
</xsl:template>
<!--

-->
<xsl:template match="GENERAL-FORM">
<script type='text/javascript' language='javascript' src='{$baseURL}/js/general.js'></script>
<form name="general" method="post" action="{$baseURL}/wizard/index.php">
<table cellpadding="0" cellspacing="1" border="0" width="100%">
<tr>
<td><xsl:apply-templates/></td>
</tr>
</table>
<input type="hidden" name="mode" value="general"/>
<input type="hidden" name="show_preview" value=""/>
<input type="hidden" id="sb_changes" name="sb_changes" value="0"/>
<input type="hidden" name="sb_pageid" value=""/>
</form>
</xsl:template>

<xsl:template match="PREVIEW-AREA">
<iframe frameborder="1" id="contentFrame"
scrolling="auto" height="100%" width="100%"
marginheight="5" marginwidth="5" src="{@SRC}"/>
</xsl:template>

<xsl:template match="SITE-TITLE">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="4" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr valign='top'>
<td width="1%" >&#160;</td>
<td width="50%" valign="top"><input type="text" maxlength="75" id="sb_gen_title" name="sb_gen_title" class="SB_Style_gen_title" onchange="javascript: document.forms[0].sb_changes.value='1'">
<xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
</input></td>
<td width="20">&#160;</td><td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='16'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
</xsl:template>


<xsl:template match="SITE-KEYWORDS">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="4" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr>
<td width="1%">&#160;</td>
<td width="50%" valign="top"><textarea cols="50" rows="5" id="sb_gen_keywords" name="sb_gen_keywords" class="SB_Style_gen_keywords" onchange="javascript: document.forms[0].sb_changes.value='1'"><xsl:value-of select="CONTENT"/></textarea></td>
<td width="20">&#160;</td><td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='50'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
</xsl:template>

<xsl:template match="SITE-DESCRIPTION">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="3" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr>
<td width="1%">&#160;</td>
<td width="50%" valign="top"><textarea cols="50" rows="5" id="sb_gen_descript" name="sb_gen_descript" class="SB_Style_gen_keywords" onchange="javascript: document.forms[0].sb_changes.value='1'"><xsl:value-of select="CONTENT"/></textarea></td>
<td width="20">&#160;</td><td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='50'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
</xsl:template>

<xsl:template match="SITE-COPYRIGHT">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="3" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr>
<td width="1%">&#160;</td>
<td width="50%" valign="top"><textarea cols="50" rows="3" id="sb_gen_cright" name="sb_gen_cright" class="SB_Style_gen_keywords" onchange="javascript: document.forms[0].sb_changes.value='1'"><xsl:value-of select="CONTENT"/></textarea></td>
<td width="20">&#160;</td><td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='50'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
<br/>
</xsl:template>

<xsl:template match="SITE-COMPANYURL">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="3" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr>
<td width="1%" >&#160;</td>
<td width="50%" valign="top"><input type="text" maxlength="75" id="sb_gen_companyurl" name="sb_gen_companyurl" class="SB_Style_gen_title" onchange="javascript: document.forms[0].sb_changes.value='1'">
<xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
</input></td>
<td width="20">&#160;</td><td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='16'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
<br/>
</xsl:template>

<xsl:template match="SITE-COMPANYNAME">
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td>&#160;</td>
<td colspan="3" class="SB_Style_predefpages"><b><xsl:value-of select="TITLE"/></b></td>

</tr>

<tr>
<td width="1%" >&#160;</td>
<td width="50%" valign="top"><input type="text" maxlength="75" id="sb_gen_companyname" name="sb_gen_companyname" class="SB_Style_gen_title" onchange="javascript: document.forms[0].sb_changes.value='1'">
<xsl:attribute name="value"><xsl:value-of select="CONTENT"/></xsl:attribute>
</input></td>
<td width="20">&#160;</td>
<td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='16'/></td>
<td width="44%" valign="middle" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
</table>
<br/>
</xsl:template>


<xsl:template match="SITE-STATISTIC">
<br/>
<table width="100%" border="0" cellpadding="1" cellspacing="1">
<tr>
<td width="1%">&#160;</td>
<td width="50%" valign="top" class="SB_Style_predefpages"><input class="SB_Style_gen_check" type="checkbox" name="sb_use_stat" value="1" onchange="javascript: document.forms[0].sb_changes.value='1'">
<xsl:if test="CONTENT">
<xsl:attribute name="checked">true</xsl:attribute>
</xsl:if>
</input>
<b><xsl:value-of select="TITLE"/></b></td>
<td width="20">&#160;</td>
<td valign='middle'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' height='16'/></td>
<td valign="middle" width="44%" class="SB_Style_genpages"><xsl:value-of select="HELP-CONTENT"/></td>
</tr>
<tr>
<td width="1%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='1'/></td>
<td width="420"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='420' height='1'/></td>
<td width="20"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='1'/></td>
<td><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='1'/></td>
<td width="44%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' width='1' height='1'/></td>
</tr>
</table>
<br/>
</xsl:template>

<xsl:template match="PREDEFINED">
<td width="200" valign="top" height="100%" align='left'>
<xsl:if test="PDPAGES">
<table width="10%" cellspacing="5" cellpadding="0" align='right'>
<tr>
<td class='SB_Style_pagesbuttons'>
<xsl:value-of select="LEGEND/SPDTITLE" />
</td>
</tr>
<tr>
<td>
<input type="hidden" name="sb_pschanged" value=""/>
<select name='pdslist' class='SB_Style_pdstructures'>
<xsl:attribute name="onchange"><xsl:value-of select="PS-LIST/@ONCHANGE"/></xsl:attribute>
<xsl:for-each select="PS-LIST/PSRT">
<option>
<xsl:if test="@SELECTED='TRUE'">
<xsl:attribute name="selected">true</xsl:attribute>
</xsl:if>
<xsl:attribute name="value"><xsl:value-of select="@ID" /></xsl:attribute>
<xsl:value-of select="@TITLE" /></option>
</xsl:for-each>
</select>
</td>
</tr>
<tr>
<td class='SB_Style_pagesbuttons'>
<xsl:value-of select="LEGEND/PDPTITLE"/>
</td>
</tr>
<tr>
<td>
<div id='pdpagesdiv' valign="top" class="SB_Style_pdpages">
<table width="100%" cellspacing="0" cellpadding="0" border="0">
<xsl:for-each select="PDITEM">
<tr>
<td>
<input type="checkbox" name="pdpages[]" id="pdpages[]">
<xsl:attribute name="onclick">javascript:SelectNode(this);</xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="@VALUE" /></xsl:attribute>
<xsl:if test="@EXIST='true'">
<xsl:attribute name="disabled">true</xsl:attribute>
<xsl:attribute name="checked">true</xsl:attribute>
</xsl:if>
</input>
</td>
<xsl:choose>
<xsl:when test="@LEVEL='1'">
<td nowrap="nowrap" colspan="2" width="100%" class='SB_Style_predefpages'>
<xsl:attribute name="id"><xsl:value-of select="@NAME" />_span</xsl:attribute>
<xsl:value-of select="@TITLE"/>
</td>
</xsl:when>
<xsl:when test="@LEVEL='2'">
<td width="1" align='left'><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="10" height="1" border="0" /></td>
<td nowrap="nowrap" width="99%" class='SB_Style_predefpages'>
<xsl:attribute name="id"><xsl:value-of select="@NAME" />_span</xsl:attribute>
<xsl:value-of select="@TITLE"/>
</td>
</xsl:when>
</xsl:choose>
</tr>
</xsl:for-each>
</table>
</div>
</td>
</tr>
</table>
</xsl:if>
<xsl:apply-templates select="FIELD"/>
</td>
<td width='80' class='SB_Style_pagesbuttons' align='center'>
<img src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' height='3' width='100%' border='0' valign='top'/>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name='onclick'>javascript:SA = AddPageToSite(SA,'<xsl:value-of select="LEGEND/PAGEADDED"/>', '<xsl:value-of select="LEGEND/NOTSELECTED"/>');CreateSiteStructList(SA);</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_move_button.gif" border="0"/></a>
<br/>
<xsl:value-of select="LEGEND/MOVEPAGE"/>
</td>

</xsl:template>


<xsl:template match="SITE-STRUCTURE">
<td width="480" valign="top">
<xsl:if test="SITESTRUCT">
<table width="270" border="0" cellspacing="2" cellpadding="2">
<tr>
<td colspan="4" class='SB_Style_pagesbuttons'>
<xsl:value-of select="LEGEND/SSTITLE"/>
<script type="text/javascript" language='javascript'>
<xsl:comment>
var Limex1msg='<xsl:value-of select="LEGEND/EXCEED1"/> '; var Limex2msg='<xsl:value-of select="LEGEND/EXCEED2"/> ';
//</xsl:comment>
</script>
</td>
</tr>
<tr valign='top'>
<td colspan='3'>
<table width="190" border="0" cellspacing="4" cellpadding="0" valign='top'>
<tr valign='top' >
<td class='SB_Style_pagesbuttons' nowrap="nowrap" align='center' width='60'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:ShowAddPage(-1,'html','');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_add_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/ADDPAGE"/>
</td>
<td class='SB_Style_pagesbuttons' nowrap='nowrap' align='center' width='60'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:var ss = getObj('site_struct');SA = DeleteFromSiteStructure(SA, ss,'<xsl:value-of select="LEGEND/PAGEDELETED" />','<xsl:value-of select="LEGEND/PAGENOTDELETED" />', '<xsl:value-of select="LEGEND/NOTSELECTED" />', '<xsl:value-of select="LEGEND/SURETODELETE" />', '<xsl:value-of select="LEGEND/HOMEDEL" />');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_delete_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/DELETEPAGE"/>
</td>
<td class='SB_Style_pagesbuttons' nowrap='nowrap' align='center' width='60'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:ShowEditPage(SA, '<xsl:value-of select="LEGEND/SELECTONE"/>');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_edit_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/EDITPAGE"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td colspan="3" width='200'>
<select class="SB_Style_sitestructure" multiple="true">
<xsl:attribute name="id"><xsl:value-of select="SITESTRUCT/@ID"/></xsl:attribute>
<xsl:attribute name="name"><xsl:value-of select="SITESTRUCT/@NAME"/></xsl:attribute>
<xsl:attribute name="size"><xsl:value-of select="SITESTRUCT/@SIZE"/></xsl:attribute>
<xsl:attribute name="onClick"><xsl:value-of select="SITESTRUCT/@ONCLICK"/></xsl:attribute>
<xsl:attribute name="onDblClick"><xsl:value-of select="SITESTRUCT/@ONDBLCLICK"/></xsl:attribute>
<xsl:attribute name="onKeyup"><xsl:value-of select="SITESTRUCT/@ONKEYUP"/></xsl:attribute>
<xsl:for-each select="SITESTRUCT/ITEM">
<option>
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:value-of select="."/>
</option>
</xsl:for-each></select><xsl:apply-templates select="FIELD"/></td>
<td>
<table width='50' cellspacing='3' cellpadding ='0'>
<tr>
<td class='SB_Style_pagesbuttons'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:SA=MoveUp(SA, '<xsl:value-of select="LEGEND/MOVEDUP"/>', '<xsl:value-of select="LEGEND/NOTMOVED"/>', '<xsl:value-of select="LEGEND/NOTSELECTED"/>', '<xsl:value-of select="LEGEND/SELECTONE"/>');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_up_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/MOVEUPPAGE"/>
</td>
</tr>
<tr>
<td class='SB_Style_pagesbuttons'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript: SA=MoveDown(SA, '<xsl:value-of select="LEGEND/MOVEDDOWN"/>', '<xsl:value-of select="LEGEND/NOTMOVED"/>', '<xsl:value-of select="LEGEND/NOTSELECTED"/>', '<xsl:value-of select="LEGEND/SELECTONE"/>');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_down_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/MOVEDOWNPAGE"/>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class='SB_Style_pagesbuttons' align='center' width='95'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:SA=LevelUp(SA, '<xsl:value-of select="LEGEND/LEVELEDUP"/>', '<xsl:value-of select="LEGEND/NOTMOVED"/>', '<xsl:value-of select="LEGEND/NOTSELECTED"/>', '<xsl:value-of select="LEGEND/SELECTONE"/>');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_levelup_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/LEVELUPPAGE"/>
</td>
<td class='SB_Style_pagesbuttons' align='center' width='95'>
<a>
<xsl:attribute name='href'>javascript:void(1)</xsl:attribute>
<xsl:attribute name="onclick">javascript:SA=LevelDown(SA, '<xsl:value-of select="LEGEND/LEVELEDDOWN"/>', '<xsl:value-of select="LEGEND/NOTMOVED"/>', '<xsl:value-of select="LEGEND/NOTSELECTED"/>', '<xsl:value-of select="LEGEND/SELECTONE"/>');</xsl:attribute>
<img src="{$baseURL}/skins/{$sb_skin}/images/pages_leveldn_button.gif" width='40' height='31' border="0"/></a><br/>
<xsl:value-of select="LEGEND/LEVELDOWNPAGE"/>
</td>
<td colspan='2'>&#160;</td>
</tr>
</table>
</xsl:if>
</td>
</xsl:template>


<xsl:template match="OVERVIEW-CONTENT">
<table align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr><td  valign="middle">
<table align="center" border="0" cellpadding="3" cellspacing="0" width="95%">
<tr>
<xsl:apply-templates select="OVERVIEW-STEP"/>
</tr>
</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="OVERVIEW-STEP">
<xsl:choose>
<xsl:when test='ENABLED="TRUE"'>
<xsl:choose>
<xsl:when test="$browser='OPERA'">
<td>
<a style="text-decoration: none">
<xsl:attribute name="href">javascript:document.location.href='/wizard/index.php?mode=<xsl:value-of select="NAME"/>'</xsl:attribute>
<table class="SB_Style_overview_table_linked" cellpadding="6" cellspacing="0">
<tr>
<td>
<table class="SB_Style_overview_table_inside" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td valign="top"><img border="0"><xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/<xsl:value-of select="IMAGE"/></xsl:attribute></img></td>
</tr>
<tr>
<td class="SB_Style_overview_title" align="center"><xsl:value-of select="TITLE"/></td>
</tr>
<tr>
<td class="SB_Style_overview_BG" height="90px" align="center" colspan="2"><xsl:value-of select="INFO"/></td>
</tr>
</table>
</td>
</tr>
</table></a></td>
</xsl:when>
<xsl:otherwise>
<td>
<a href="javascript:void(1)" style="text-decoration: none">
<xsl:attribute name="onClick">document.location.href='<xsl:value-of select="$baseURL"/>/wizard/index.php?mode=<xsl:value-of select="NAME"/>'</xsl:attribute>
<table class="SB_Style_overview_table_linked" cellpadding="6" cellspacing="0">
<tr>
<td>
<table class="SB_Style_overview_table_inside" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td valign="top"><img border="0"><xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/<xsl:value-of select="IMAGE"/></xsl:attribute></img></td>
</tr>
<tr>
<td class="SB_Style_overview_title" align="center"><xsl:value-of select="TITLE"/></td>
</tr>
<tr>
<td class="SB_Style_overview_BG" height="90px"  align="center" colspan="2"><xsl:value-of select="INFO"/></td>
</tr>
</table>
</td>
</tr>
</table></a></td>
</xsl:otherwise>
</xsl:choose>
</xsl:when><xsl:otherwise>
<td>
<table class="SB_Style_overview_table" cellpadding="6" cellspacing="0">
<tr>
<td>
<table class="SB_Style_overview_table_inside" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td valign="top"><img border="0"><xsl:attribute name="src"><xsl:value-of select="$baseURL"/>/skins/<xsl:value-of select="$sb_skin"/>/images/<xsl:value-of select="IMAGE"/></xsl:attribute></img></td>
</tr>
<tr>
<td class="SB_Style_overview_title" align="center"><xsl:value-of select="TITLE"/></td>
</tr>
<tr>
<td class="SB_Style_overview_BG" height="90px" align="center" colspan="2"><xsl:value-of select="INFO"/></td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="PUBLISH">
<xsl:value-of select="LEGEND/DESCRIPTION"/>
<xsl:for-each select='WARNING'>
<b><xsl:value-of select="." /><br/></b>
</xsl:for-each>
<xsl:if test='BUTTON'>
<br/><br/>
<xsl:call-template name="drawButton">
<xsl:with-param name="name" select="BUTTON/@NAME"/>
<xsl:with-param name="onClick">document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select="BUTTON/@CAPTION"/>
</xsl:call-template>
</xsl:if>
</xsl:template>

<xsl:template match="STATISTIC">
<table width='100%' cellspacing='0' cellpading='0' border='0'>
<tr>
<td>
<img border='1' class='SB_Style_statistic_img'>
<xsl:attribute name='src'><xsl:value-of select="IMAGE/@SRC"/></xsl:attribute>
</img>
</td>
<td>
<table cellpadding='3' cellspacing='0' border='0' class='SB_Style_statistic_bottom' width='180'>
<tr class="SB_Style_FFFFFF" align='center'>
<td ><img src="{$baseURL}/skins/{$sb_skin}/images/stat-day.gif" width='8' height='8' border='0'/></td>
<td class='SB_Style_design_text' nowrap='nowrap'><xsl:value-of select="LEGEND/HITS-PER-DAY" /></td>
</tr>
<tr class="SB_Style_FFFFFF" align='center'>
<td ><img src="{$baseURL}/skins/{$sb_skin}/images/stat-yesterday.gif" width='8' height='8' border='0'/></td>
<td class='SB_Style_design_text' nowrap='nowrap'><xsl:value-of select="LEGEND/HITS-PER-YESTERDAY" /></td>
</tr>
</table>
</td>
</tr>
<tr>
<td colspan='2'>
<img height='15' src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' border='0' />
</td>
</tr>

<tr>
<td colspan='2'>
<table cellpadding='0' cellspacing='0' border='0' width='500'>
<tr align='center' class='SB_Style_statistic_chart' height='20'>
<td width='70' >&#160;</td>
<td width='70' ><xsl:value-of select="LEGEND/HOURS" /></td>
<td width='70' ><xsl:value-of select="LEGEND/YESTERDAY" /></td>
<td width='70' ><xsl:value-of select="LEGEND/TODAY" /></td>
<td width='70' ><xsl:value-of select="LEGEND/WEEK" /></td>
<td width='70' ><xsl:value-of select="LEGEND/MONTH" /></td>
<td width='70' ><xsl:value-of select="LEGEND/TOTAL" /></td>
</tr>
<tr class="SB_Style_imagelist_empty" height='2'>
<td colspan='7' height='2'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' height='2' width='100%'/></td>
</tr>
<tr align='center' class='SB_Style_statistic_chart_nocolor' height='20'>
<td width='70' ><xsl:value-of select="LEGEND/HITS" /></td>
<td width='70' ><xsl:value-of select="HITS/HOURS" /></td>
<td width='70' ><xsl:value-of select="HITS/YESTERDAY" /></td>
<td width='70' ><xsl:value-of select="HITS/TODAY" /></td>
<td width='70' ><xsl:value-of select="HITS/WEEK" /></td>
<td width='70' ><xsl:value-of select="HITS/MONTH" /></td>
<td width='70' ><xsl:value-of select="HITS/TOTAL" /></td>
</tr>
<tr class="SB_Style_imagelist_empty" height='1'>
<td colspan='7' height='1'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' height='1' width='100%'/></td>
</tr>
<tr align='center' class='SB_Style_statistic_chart' height='20'>
<td width='70' ><xsl:value-of select="LEGEND/HOSTS" /></td>
<td width='70' ><xsl:value-of select="HOSTS/HOURS" /></td>
<td width='70' ><xsl:value-of select="HOSTS/YESTERDAY" /></td>
<td width='70' ><xsl:value-of select="HOSTS/TODAY" /></td>
<td width='70' ><xsl:value-of select="HOSTS/WEEK" /></td>
<td width='70' ><xsl:value-of select="HOSTS/MONTH" /></td>
<td width='70' ><xsl:value-of select="HOSTS/TOTAL" /></td>
</tr>
<tr class="SB_Style_imagelist_empty" height='1'>
<td colspan='7' height='1'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' height='1' width='100%'/></td>
</tr>
<tr height='10'>
<td colspan='7' height='10'><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/empty.gif' height='10' width='100%'/></td>
</tr>
<tr class="SB_Style_FFFFFF" align='left'>
<td colspan="7">
<input type="hidden" name="sb_clear_stat" value=""/>
<xsl:call-template name="drawButton">
<xsl:with-param name="name">sb_clear</xsl:with-param>
<xsl:with-param name="onClick">document.forms[0].sb_clear_stat.value=1; document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select="LEGEND/CLEAR"/>
</xsl:call-template>
</td>
</tr>

</table>
</td>
</tr>

</table>
</xsl:template>
<!--
/////
-->  
<xsl:template match="WARNING" mode="publish-login">
<xsl:value-of select="."/><xsl:if test="position()!=last()">;<xsl:text> </xsl:text></xsl:if>
</xsl:template>
<!--
/////
-->  
<xsl:template match="PUBLISH-LOGIN">
<xsl:variable name="login" select="FIELD[@NAME='sb_username']"/>
<xsl:variable name="ftphost" select="FIELD[@NAME='sb_ftp_host']"/>
<xsl:variable name="passwd" select="FIELD[@NAME='sb_password']"/>
<xsl:variable name="ftpworkdir" select="FIELD[@NAME='sb_ftp_work_dir']"/>
<xsl:variable name="siteIdentity" select="FIELD[@NAME='sb_site_identity']"/>
<xsl:apply-templates select="HIDDEN"/>
<xsl:if test="WARNING">
<br/>
<table  class="SB_Style_publish_login_warning" cellpadding="0" cellspacing="0" width="100%" >
<tr><td align="center">
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td align="left" width="1%"><img src="{$baseURL}/skins/{$sb_skin}/images/icon_stop.gif"/></td>
<td align="left" width="99%"><xsl:apply-templates select="WARNING" mode="publish-login"/></td>
</tr>
</table>
</td></tr>
</table>
<br/>
</xsl:if>
<table cellpadding="3" cellspacing="0" valign="top" border="0" align="center">
<xsl:if test="$login and $ftphost">
<tr><td colspan="3"><img src="{$baseURL}/skins/{$sb_skin}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<tr valign="bottom">
<td  align="right"><xsl:value-of select="$login/@TITLE"/>:&#160;</td>
<xsl:choose>
<xsl:when test="$login/@ENABLED='NO'">
<td nowrap="nowrap" class="SB_Style_formfield">
<xsl:value-of select="$login/@VALUE"/>&#160;<xsl:value-of select="$ftphost/@TITLE"/>&#160;<xsl:value-of select="$ftphost/@VALUE"/>
</td>
<td>&#160;</td>

</xsl:when><xsl:otherwise>

<td nowrap="nowrap" class="SB_Style_formfield"><input
	name="{$login/@NAME}"
	size="{$login/@SIZE}"
	value="{$login/@VALUE}"
	type="text" id="login_name" maxlength="255"
	style="width:106px;" onKeyPress="doVerify(event)">
	<xsl:call-template name="setTabIndex"/>
</input></td>
<td nowrap="nowrap" class="SB_Style_formfield"><xsl:value-of select="$ftphost/@TITLE"/>&#160;<input
	name="{$ftphost/@NAME}"
	size="{$ftphost/@SIZE}"
	value=""
	type="text" id="ftp_host" maxlength="255"
	style="width:106px;" onKeyPress="doVerify(event)">
	<xsl:call-template name="setTabIndex"/>
</input></td>

<!--    
<xsl:value-of select="$ftphost/@TITLE"/>&#160;
<xsl:call-template name="COMBOBOX">
<xsl:with-param name="node" select="$ftphost"/>
<xsl:with-param name="tabIndex" select="'2'"/>
</xsl:call-template> -->
</xsl:otherwise></xsl:choose>
</tr>
</xsl:if>
<xsl:if test="$passwd">
<tr>
<td class="SB_Style_fieldname" align="right"><xsl:value-of select="$passwd/@TITLE"/>:&#160;</td>
<td class="SB_Style_formfield"><input
	name="{$passwd/@NAME}"
	size="{$passwd/@SIZE}"
	value="{$passwd/@VALUE}"
	type="password" id="passwd" maxlength="255" 
	style="width: 106px;"
	onKeyPress="doVerify(event)">
	<xsl:call-template name="setTabIndex"/>
</input>
</td>
<td>&#160;</td>
</tr>
</xsl:if>
<xsl:if test="$ftpworkdir">
<xsl:choose>
<xsl:when test="$passwd">
<tr>
<td class="SB_Style_fieldname" align="right"><xsl:value-of select="$ftpworkdir/@TITLE"/>:&#160;</td>
<td class="SB_Style_formfield"><input
	name="{$ftpworkdir/@NAME}"
	size="{$ftpworkdir/@SIZE}"
	value="{$ftpworkdir/@VALUE}"
	type="text" id="work_dir" maxlength="255" 
	style="width: 106px;"
	onKeyPress="doVerify(event)">
	<xsl:call-template name="setTabIndex"/>
</input>
</td>
<td>&#160;</td>
</tr>
</xsl:when>
<xsl:otherwise>
<tr>
<td class="SB_Style_fieldname" align="right"><xsl:value-of select="$ftpworkdir/@TITLE"/>:&#160;</td>
<td class="SB_Style_formfield"><input
	name="{$ftpworkdir/@NAME}"
	size="{$ftpworkdir/@SIZE}"
	value="{$ftpworkdir/@VALUE}"
	type="text" id="work_dir" maxlength="255" 
	style="width: 106px;"
	onKeyPress="checkPublishKey(event)">
	<xsl:call-template name="setTabIndex"/>
</input>
</td>
<td>&#160;</td>
</tr>
</xsl:otherwise>
</xsl:choose>
</xsl:if> 
<xsl:if test="$siteIdentity">
<tr>
<td class="SB_Style_fieldname" align="right"><xsl:value-of select="$siteIdentity/@TITLE"/>:&#160;</td>
<td class="SB_Style_formfield"  nowrap="nowrap">
<input type="text" id="site_identity" maxlength="255" 
	style="width: 106px;"
	name="{$siteIdentity/@NAME}"
	size="{$siteIdentity/@SIZE}"
	value="{$siteIdentity/@VALUE}"
	onKeyPress="doVerify(event)">    
	<xsl:call-template name="setTabIndex"/>
</input>&#160;</td>
<td><xsl:apply-templates select="BUTTON[@NAME='publish_change_si']"/></td>
</tr>
</xsl:if>
<tr><td colspan="3"><hr color="silver" noshade="noshade" size="1"/></td></tr>
<tr>
<td colspan="3"><table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr>
<td width="98%">&#160;</td>
<xsl:apply-templates select="BUTTON[@NAME='publish_email_me']" mode="form"/>
<xsl:apply-templates select="BUTTON[@NAME='publish_web_site']" mode="form"/>
</tr></table></td>
</tr>
</table>
</xsl:template>

<xsl:template match="LOGIN/HELP-MESSAGE|PUBLISH-LOGIN/HELP-MESSAGE">
</xsl:template>

<xsl:template match="LOGIN/WARNING|PUBLISH-LOGIN/WARNING">
</xsl:template>

<xsl:template match="LOGIN/TITLE|PUBLISH-LOGIN/WARNING"> <!--Tak nado(publish). pzagvazdin-->
</xsl:template>

</xsl:stylesheet>